package uoc.edu.client.service;

import java.util.List;

import uoc.edu.shared.model.Comarca;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * Servei web que gestiona les comarques de l'aplicació.
 * 
 * @author Jordi Farré.
 * 
 */
@RemoteServiceRelativePath("comarca")
public interface ComarcaService extends RemoteService {

	/**
	 * Retorna totes les comarques de l'aplicació.
	 * 
	 * @return Comarques de l'aplicació.
	 * @throws IllegalArgumentException
	 *             Error al obtenir les comarques.
	 */
	public List<Comarca> getAll() throws IllegalArgumentException;

}
