package uoc.edu.client.service;

import java.util.List;

import uoc.edu.shared.model.Esdeveniment;

import com.extjs.gxt.ui.client.data.PagingLoadConfig;
import com.extjs.gxt.ui.client.data.PagingLoadResult;
import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * Servei web que gestiona els esdeveniments de l'aplicació.
 * 
 * @author Jordi Farré.
 * 
 */
@RemoteServiceRelativePath("esdeveniment")
public interface EsdevenimentService extends RemoteService {

	/**
	 * Retorna tots els esdeveniments de l'aplicació.
	 * 
	 * @return Esdeveniments de l'aplicació.
	 * @throws IllegalArgumentException
	 *             Error al obtenir els esdeveniments.
	 */
	public List<Esdeveniment> getAll() throws IllegalArgumentException;

	/**
	 * Retorna tots els esdeveniments de l'aplicació.
	 * 
	 * @return esdeveniments de l'aplicació.
	 * @throws IllegalArgumentException
	 *             Error al obtenir els esdeveniments.
	 */
	public PagingLoadResult<Esdeveniment> getAll(PagingLoadConfig config) throws IllegalArgumentException;

	/**
	 * Esborra un esdeveniment.
	 * 
	 * @param esdeveniment
	 *            Esdeveniment a esborrar.
	 * @throws IllegalArgumentException
	 *             Error al esborrar el esdeveniment.
	 */
	public void delete(Esdeveniment esdeveniment) throws IllegalArgumentException;

}
