package uoc.edu.client.service;

import java.util.List;

import uoc.edu.shared.model.Poblacio;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * Servei web que gestiona les poblacions de l'aplicació.
 * 
 * @author Jordi Farré.
 * 
 */
@RemoteServiceRelativePath("poblacio")
public interface PoblacioService extends RemoteService {

	/**
	 * Retorna totes les poblacions de l'aplicació.
	 * 
	 * @return Poblacions de l'aplicació.
	 * @throws IllegalArgumentException
	 *             Error al obtenir les poblacions.
	 */
	public List<Poblacio> getAll() throws IllegalArgumentException;

}
