package uoc.edu.client;

import uoc.edu.client.layout.PrincipalLayout;
import uoc.edu.client.service.ComarcaService;
import uoc.edu.client.service.EsdevenimentService;
import uoc.edu.client.service.PoblacioService;
import uoc.edu.client.service.ProducteService;
import uoc.edu.client.service.ProductorService;
import uoc.edu.client.service.SearchService;
import uoc.edu.client.service.ServiceConstants;
import uoc.edu.client.service.TipusEsdevenimentService;
import uoc.edu.client.service.TipusProductorService;
import uoc.edu.client.service.XcsService;

import com.extjs.gxt.ui.client.GXT;
import com.extjs.gxt.ui.client.Registry;
import com.extjs.gxt.ui.client.Style.LayoutRegion;
import com.extjs.gxt.ui.client.util.Theme;
import com.extjs.gxt.ui.client.widget.ContentPanel;
import com.extjs.gxt.ui.client.widget.Label;
import com.extjs.gxt.ui.client.widget.Viewport;
import com.extjs.gxt.ui.client.widget.layout.BorderLayout;
import com.extjs.gxt.ui.client.widget.layout.BorderLayoutData;
import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.RootPanel;

/**
 * Entry point de GWT que serveix per a definir el punt d'entrada de la nostra
 * pagina web.
 */
public class xcs implements EntryPoint {
	
	/** Layout principal */
	private final PrincipalLayout principal = new PrincipalLayout();	

	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {
		GXT.setDefaultTheme(Theme.GRAY, true);
		// Carreguem i registrem els serveis rpc		
		Registry.register(ServiceConstants.COMARCA_SERVICE, GWT.create(ComarcaService.class));
		Registry.register(ServiceConstants.ESDEVENIMENT_SERVICE, GWT.create(EsdevenimentService.class));
		Registry.register(ServiceConstants.POBLACIO_SERVICE, GWT.create(PoblacioService.class));
		Registry.register(ServiceConstants.PRODUCTOR_SERVICE, GWT.create(ProductorService.class));
		Registry.register(ServiceConstants.TIPUSESDEVENIMENT_SERVICE, GWT.create(TipusEsdevenimentService.class));
		Registry.register(ServiceConstants.TIPUSPRODUCTOR_SERVICE, GWT.create(TipusProductorService.class));
		Registry.register(ServiceConstants.XCS_SERVICE, GWT.create(XcsService.class));
		Registry.register(ServiceConstants.SEARCH_SERVICE, GWT.create(SearchService.class));
		Registry.register(ServiceConstants.PRODUCTE_SERVICE, GWT.create(ProducteService.class));
		// Carreguem el panell principal
		Viewport content = new Viewport();
		content.setLayout(new BorderLayout());		
		ContentPanel logoPanel = new ContentPanel();		
		Image logo = new Image();
		logo.setUrl("images/logo.png");		
		logo.setHeight("100%");
		logoPanel.add(logo);
		logoPanel.setHeaderVisible(false);
		logoPanel.setFrame(true);		
		content.add(logoPanel, new BorderLayoutData(LayoutRegion.NORTH, 0.08f));
		content.add(principal, new BorderLayoutData(LayoutRegion.CENTER, 0.92f));		
		RootPanel principalDiv = RootPanel.get();
		principalDiv.add(content);
		GXT.hideLoadingPanel("loading");
	}
}
