package uoc.edu.server.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import uoc.edu.client.service.ComarcaService;
import uoc.edu.server.dao.ComarcaDAO;
import uoc.edu.shared.model.Comarca;

/**
 * Servei web que dona accés a les dades de comarques.
 * 
 * @author Jordi Farré
 * 
 */
public class ComarcaServiceImpl extends SpringGwtServlet implements
		ComarcaService {

	/** DAO de la taula Comarca */
	@Autowired
	private ComarcaDAO comarcaDAO;

	/**
	 * Retorna totes les comarques de l'aplicació.
	 */
	@Override
	public List<Comarca> getAll() throws IllegalArgumentException {
		return comarcaDAO.getAll();
	}

	/**
	 * @return the comarcaDAO
	 */
	public ComarcaDAO getComarcaDAO() {
		return comarcaDAO;
	}

	/**
	 * @param comarcaDAO the comarcaDAO to set
	 */
	public void setComarcaDAO(ComarcaDAO comarcaDAO) {
		this.comarcaDAO = comarcaDAO;
	}

}
