package uoc.edu.server.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import uoc.edu.client.service.EsdevenimentService;
import uoc.edu.server.dao.EsdevenimentDAO;
import uoc.edu.shared.model.Esdeveniment;

import com.extjs.gxt.ui.client.data.PagingLoadConfig;
import com.extjs.gxt.ui.client.data.PagingLoadResult;

/**
 * Servei web que dona accés a les dades de esdeveniments.
 * 
 * @author Jordi Farré
 * 
 */
public class EsdevenimentServiceImpl extends SpringGwtServlet implements EsdevenimentService {

	/** DAO de la taula Esdeveniment */
	@Autowired
	private EsdevenimentDAO esdevenimentDAO;

	/**
	 * Retorna tots els esdeveniments de l'aplicació.
	 */
	@Override
	public PagingLoadResult<Esdeveniment> getAll(PagingLoadConfig config) throws IllegalArgumentException {
		return esdevenimentDAO.getAll(config);
	}

	public void delete(Esdeveniment esdeveniment) throws IllegalArgumentException {
		esdevenimentDAO.delete(esdeveniment);
	}

	/**
	 * @return the esdevenimentDAO
	 */
	public EsdevenimentDAO getEsdevenimentDAO() {
		return esdevenimentDAO;
	}

	/**
	 * @param esdevenimentDAO
	 *            the esdevenimentDAO to set
	 */
	public void setEsdevenimentDAO(EsdevenimentDAO esdevenimentDAO) {
		this.esdevenimentDAO = esdevenimentDAO;
	}

	@Override
	public List<Esdeveniment> getAll() throws IllegalArgumentException {
		return this.esdevenimentDAO.getAll();
	}

}
