package uoc.edu.server.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import uoc.edu.client.service.PoblacioService;
import uoc.edu.server.dao.PoblacioDAO;
import uoc.edu.shared.model.Poblacio;

/**
 * Servei web que dona accés a les dades de poblacions.
 * 
 * @author Jordi Farré
 * 
 */
public class PoblacioServiceImpl extends SpringGwtServlet implements PoblacioService {

	/** DAO de la taula Poblacio */
	@Autowired
	private PoblacioDAO poblacioDAO;

	/**
	 * Retorna totes les poblacions de l'aplicació.
	 */
	@Override
	public List<Poblacio> getAll() throws IllegalArgumentException {
		return poblacioDAO.getAll();
	}

	/**
	 * @return the poblacioDAO
	 */
	public PoblacioDAO getPoblacioDAO() {
		return poblacioDAO;
	}

	/**
	 * @param poblacioDAO
	 *            the poblacioDAO to set
	 */
	public void setPoblacioDAO(PoblacioDAO poblacioDAO) {
		this.poblacioDAO = poblacioDAO;
	}

}
