package uoc.edu.server.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import com.extjs.gxt.ui.client.data.PagingLoadConfig;
import com.extjs.gxt.ui.client.data.PagingLoadResult;

import uoc.edu.client.service.ProducteService;
import uoc.edu.server.dao.ProducteDAO;
import uoc.edu.shared.model.Producte;

/**
 * Servei web que dona accés a les dades de productes.
 * 
 * @author Jordi Farré
 * 
 */
public class ProducteServiceImpl extends SpringGwtServlet implements ProducteService {

	/** DAO de la taula PRODUCTE */
	@Autowired
	private ProducteDAO producteDAO;

	/**
	 * Retorna tots els productes de l'aplicació.
	 */
	@Override
	public List<Producte> getAll() throws IllegalArgumentException {
		return producteDAO.getAll();
	}

	/**
	 * @return the producteDAO
	 */
	public ProducteDAO getProducteDAO() {
		return producteDAO;
	}

	/**
	 * @param producteDAO
	 *            the producteDAO to set
	 */
	public void setProducteDAO(ProducteDAO producteDAO) {
		this.producteDAO = producteDAO;
	}

	@Override
	public PagingLoadResult<Producte> getAll(PagingLoadConfig config) throws IllegalArgumentException {
		return this.producteDAO.getAll(config);
	}

	@Override
	public void save(Producte producte) throws IllegalArgumentException {
		this.producteDAO.save(producte);		
	}

	@Override
	public void delete(Producte producte) throws IllegalArgumentException {
		this.producteDAO.delete(producte);		
	}

}
