package uoc.edu.server.service;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import uoc.edu.client.service.SearchService;
import uoc.edu.server.dao.EsdevenimentDAO;
import uoc.edu.server.dao.ProductorDAO;
import uoc.edu.server.dao.XcsDAO;
import uoc.edu.shared.model.SearchResult;
import uoc.edu.shared.model.SearchConfig;

/**
 * Servei de cerca de xcs, productors i esdeveniments.
 * @author Jordi Farré
 *
 */
public class SearchServiceImpl extends SpringGwtServlet implements SearchService {
	
	/** DAO de la taula Xcs */
	@Autowired
	private XcsDAO xcsDAO;
	
	/** DAO de la taula Productor */
	@Autowired
	private ProductorDAO productorDAO;
	
	/** DAO de la taula Esdeveniment */
	@Autowired
	private EsdevenimentDAO esdevenimentDAO;

	@Override
	public List<SearchResult> search(SearchConfig searchConfig) throws IllegalArgumentException {
		List<SearchResult> result = new ArrayList<SearchResult>();
		result.addAll(xcsDAO.getAllMarkers(searchConfig));
		result.addAll(productorDAO.getAllMarkers(searchConfig));
		result.addAll(esdevenimentDAO.getAllMarkers(searchConfig));
		return result;
	}

	/**
	 * @return the xcsDAO
	 */
	public XcsDAO getXcsDAO() {
		return xcsDAO;
	}

	/**
	 * @param xcsDAO the xcsDAO to set
	 */
	public void setXcsDAO(XcsDAO xcsDAO) {
		this.xcsDAO = xcsDAO;
	}

	/**
	 * @return the productorDAO
	 */
	public ProductorDAO getProductorDAO() {
		return productorDAO;
	}

	/**
	 * @param productorDAO the productorDAO to set
	 */
	public void setProductorDAO(ProductorDAO productorDAO) {
		this.productorDAO = productorDAO;
	}

	/**
	 * @return the esdevenimentDAO
	 */
	public EsdevenimentDAO getEsdevenimentDAO() {
		return esdevenimentDAO;
	}

	/**
	 * @param esdevenimentDAO the esdevenimentDAO to set
	 */
	public void setEsdevenimentDAO(EsdevenimentDAO esdevenimentDAO) {
		this.esdevenimentDAO = esdevenimentDAO;
	}

}
