package uoc.edu.server.service;

import javax.servlet.ServletException;

import org.springframework.web.context.support.WebApplicationContextUtils;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;

/**
 * Implementacio base del web service utilitzant RPC, que permet utilitzar la
 * injeccio de dependencies de Spring.
 * 
 * @author Jordi Farré
 * 
 */
public class SpringGwtServlet extends RemoteServiceServlet {

	/** UID generat automaticament */
	private static final long serialVersionUID = -7057741686277747296L;

	@Override
	public void init() throws ServletException {
		super.init();
		// Al inicialitzar el servlet activem la injeccio de dependencies basada
		// en anotacions
		WebApplicationContextUtils
				.getRequiredWebApplicationContext(getServletContext())
				.getAutowireCapableBeanFactory().autowireBean(this);
	}

}
