package uoc.edu.server.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import uoc.edu.client.service.TipusEsdevenimentService;
import uoc.edu.server.dao.TipusEsdevenimentDAO;
import uoc.edu.shared.model.TipusEsdeveniment;

import com.extjs.gxt.ui.client.data.PagingLoadConfig;
import com.extjs.gxt.ui.client.data.PagingLoadResult;

/**
 * Servei web que dona accés a les dades de tipus de esdeveniments.
 * 
 * @author Jordi Farré
 * 
 */
public class TipusEsdevenimentServiceImpl extends SpringGwtServlet implements
		TipusEsdevenimentService {	

	/** DAO de la taula TipusEsdeveniment */
	@Autowired
	private TipusEsdevenimentDAO tipusEsdevenimentDAO;

	/**
	 * Retorna tots els tipus de esdeveniments de l'aplicació.
	 */
	@Override
	public PagingLoadResult<TipusEsdeveniment> getAll(PagingLoadConfig config)
			throws IllegalArgumentException {
		return tipusEsdevenimentDAO.getAll(config);
	}
	
	public void save(TipusEsdeveniment tipusEsdeveniment) throws IllegalArgumentException {
		tipusEsdevenimentDAO.save(tipusEsdeveniment);
	}
	
	public void delete(TipusEsdeveniment tipusEsdeveniment) throws IllegalArgumentException {
		tipusEsdevenimentDAO.delete(tipusEsdeveniment);
	}

	/**
	 * @return the tipusEsdevenimentDAO
	 */
	public TipusEsdevenimentDAO getTipusEsdevenimentDAO() {
		return tipusEsdevenimentDAO;
	}

	/**
	 * @param tipusEsdevenimentDAO
	 *            the tipusEsdevenimentDAO to set
	 */
	public void setTipusEsdevenimentDAO(
			TipusEsdevenimentDAO tipusEsdevenimentDAO) {
		this.tipusEsdevenimentDAO = tipusEsdevenimentDAO;
	}

	@Override
	public List<TipusEsdeveniment> getAll() throws IllegalArgumentException {
		return this.tipusEsdevenimentDAO.getAll();
	}

}
