package uoc.edu.server.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import uoc.edu.client.service.TipusProductorService;
import uoc.edu.server.dao.TipusProductorDAO;
import uoc.edu.shared.model.TipusProductor;

import com.extjs.gxt.ui.client.data.PagingLoadConfig;
import com.extjs.gxt.ui.client.data.PagingLoadResult;

/**
 * Servei web que dona accés a les dades de tipus de productors.
 * 
 * @author Jordi Farré
 * 
 */
public class TipusProductorServiceImpl extends SpringGwtServlet implements TipusProductorService {

	/** DAO de la taula TipusProductor */
	@Autowired
	private TipusProductorDAO tipusProductorDAO;

	/**
	 * Retorna tots els tipus de productors de l'aplicació.
	 */
	@Override
	public PagingLoadResult<TipusProductor> getAll(PagingLoadConfig config) throws IllegalArgumentException {
		return tipusProductorDAO.getAll(config);
	}

	public void save(TipusProductor tipusProductor) throws IllegalArgumentException {
		tipusProductorDAO.save(tipusProductor);
	}

	public void delete(TipusProductor tipusProductor) throws IllegalArgumentException {
		tipusProductorDAO.delete(tipusProductor);
	}

	/**
	 * @return the tipusProductorDAO
	 */
	public TipusProductorDAO getTipusProductorDAO() {
		return tipusProductorDAO;
	}

	/**
	 * @param tipusProductorDAO
	 *            the tipusProductorDAO to set
	 */
	public void setTipusProductorDAO(TipusProductorDAO tipusProductorDAO) {
		this.tipusProductorDAO = tipusProductorDAO;
	}

	@Override
	public List<TipusProductor> getAll() throws IllegalArgumentException {
		return tipusProductorDAO.getAll();
	}

}
