package uoc.edu.shared.model;

import java.util.Date;

import com.extjs.gxt.ui.client.data.BaseModelData;

/**
 * Informació dels esdeveniments gestionats per l'aplicació.
 * 
 * @author Jordi Farré
 * 
 */
public class Esdeveniment extends BaseModelData {
	
	/** Identificador de esdeveniment, quan els volem seleccionar tots (combos) */
	public static final int TOTS = -2;	
	
	/**
	 * @return the id
	 */
	public Integer getId() {
		return get("idesdeveniment");
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Integer id) {
		set("idesdeveniment", id);
	}

	/**
	 * @return the tipusEsdeveniment
	 */
	public TipusEsdeveniment getTipusEsdeveniment() {
		TipusEsdeveniment te = new TipusEsdeveniment();
		te.setId((Integer) get("idtipusesdeveniment"));
		te.setDescripcio((String) get("tipusesdevenimentdesc"));
		return te;
	}

	/**
	 * @param tipusEsdeveniment the tipusEsdeveniment to set
	 */
	public void setTipusEsdeveniment(TipusEsdeveniment tipusEsdeveniment) {
		if (tipusEsdeveniment != null) {			
			set("idtipusesdeveniment", tipusEsdeveniment.getId());
			set("tipusesdevenimentdesc", tipusEsdeveniment.getDescripcio());
		}
	}

	/**
	 * @return the dataInici
	 */
	public Date getDataInici() {
		return get("datainici");
	}

	/**
	 * @param dataInici the dataInici to set
	 */
	public void setDataInici(Date dataInici) {
		set("datainici", dataInici);
	}

	/**
	 * @return the dataFi
	 */
	public Date getDataFi() {
		return get("datafi");
	}

	/**
	 * @param dataFi the dataFi to set
	 */
	public void setDataFi(Date dataFi) {
		set("datafi", dataFi);
	}

	/**
	 * @return the adreca
	 */
	public String getAdreca() {
		return get("adreca");
	}

	/**
	 * @param adreca the adreca to set
	 */
	public void setAdreca(String adreca) {
		set("adreca", adreca);
	}

	/**
	 * @return the descripcio
	 */
	public String getDescripcio() {
		return get("descripcio");
	}

	/**
	 * @param descripcio the descripcio to set
	 */
	public void setDescripcio(String descripcio) {
		set("descripcio", descripcio);
	}

	/**
	 * @return the comarca
	 */
	public Comarca getComarca() {
		Comarca comarca = new Comarca();
		comarca.setId((Integer) get("idcomarca"));
		comarca.setDescripcio((String) get("comarcadesc"));
		return comarca;
	}

	/**
	 * @param comarca the comarca to set
	 */
	public void setComarca(Comarca comarca) {
		if (comarca != null) {
			set("idcomarca", comarca.getId());
			set("comarcadesc", comarca.getDescripcio());
		}
	}

	/**
	 * @return the poblacio
	 */
	public Poblacio getPoblacio() {
		Poblacio poblacio = new Poblacio();
		poblacio.setId((Integer) get("idpoblacio"));
		poblacio.setCodiPostal((Integer) get("poblaciocodipostal"));
		poblacio.setDescripcio((String) get("poblaciodesc"));
		return poblacio;
	}

	/**
	 * @param poblacio the poblacio to set
	 */
	public void setPoblacio(Poblacio poblacio) {
		if (poblacio != null) {			
			set("idpoblacio", poblacio.getId());
			set("poblaciocodipostal", poblacio.getCodiPostal());
			set("poblaciodesc", poblacio.getDescripcio());
		}
	}

}
