package uoc.edu.shared.model;

import com.extjs.gxt.ui.client.data.BaseModelData;

/**
 * Informació dels diferents productors que gestiona l'aplicació.
 * 
 * @author Jordi Farré
 * 
 */
public class Productor extends BaseModelData {


	/**
	 * @return the id
	 */
	public Integer getId() {
		return get("idproductor");
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Integer id) {
		set("idproductor", id);
	}

	/**
	 * @return the tipusProductor
	 */
	public TipusProductor getTipusProductor() {
		TipusProductor tipusProductor = new TipusProductor();
		tipusProductor.setId((Integer) get("idtipusproductor"));
		tipusProductor.setDescripcio((String) get("tipusproductordesc"));
		return tipusProductor;
	}

	/**
	 * @param tipusProductor
	 *            the tipusProductor to set
	 */
	public void setTipusProductor(TipusProductor tipusProductor) {
		if (tipusProductor != null) {
			set("idtipusproductor", tipusProductor.getId());
			set("tipusproductordesc", tipusProductor.getDescripcio());
		}
	}

	/**
	 * @return the adreca
	 */
	public String getAdreca() {
		return get("adreca");
	}

	/**
	 * @param adreca
	 *            the adreca to set
	 */
	public void setAdreca(String adreca) {
		set("adreca", adreca);
	}

	/**
	 * @return the descripcio
	 */
	public String getDescripcio() {
		return get("descripcio");
	}

	/**
	 * @param descripcio
	 *            the descripcio to set
	 */
	public void setDescripcio(String descripcio) {
		set("descripcio", descripcio);
	}

	/**
	 * @return the telefon
	 */
	public String getTelefon() {
		return get("telefon");
	}

	/**
	 * @param telefon
	 *            the telefon to set
	 */
	public void setTelefon(String telefon) {
		set("telefon", telefon);
	}

	/**
	 * @return the email
	 */
	public String getEmail() {
		return get("email");
	}

	/**
	 * @param email
	 *            the email to set
	 */
	public void setEmail(String email) {
		set("email", email);
	}

	/**
	 * @return the comarca
	 */
	public Comarca getComarca() {
		Comarca comarca = new Comarca();
		comarca.setId((Integer) get("idcomarca"));
		comarca.setDescripcio((String) get("comarcadesc"));
		return comarca;
	}

	/**
	 * @param comarca
	 *            the comarca to set
	 */
	public void setComarca(Comarca comarca) {
		if (comarca != null) {
			set("idcomarca", comarca.getId());
			set("comarcadesc", comarca.getDescripcio());
		}
	}

	/**
	 * @return the poblacio
	 */
	public Poblacio getPoblacio() {
		Poblacio poblacio = new Poblacio();
		poblacio.setId((Integer) get("idpoblacio"));
		poblacio.setCodiPostal((Integer) get("poblaciocodipostal"));
		poblacio.setDescripcio((String) get("poblaciodesc"));
		return poblacio;
	}

	/**
	 * @param poblacio
	 *            the poblacio to set
	 */
	public void setPoblacio(Poblacio poblacio) {
		if (poblacio != null) {
			set("idpoblacio", poblacio.getId());
			set("poblaciocodipostal", poblacio.getCodiPostal());
			set("poblaciodesc", poblacio.getDescripcio());
		}
	}

}
