package uoc.edu.shared.utils;

import java.util.Date;

import com.google.gwt.core.client.GWT;
import com.google.gwt.i18n.client.DateTimeFormat;

/**
 * Classe de utilitat per el tractament de dates.
 * 
 * @author Jordi Farré
 * 
 */
public class DateUtils {

	/**
	 * Retorna un string amb la data en el format que necessitem per geoserver.
	 * 
	 * @param date
	 *            Data a convertir.
	 * @return Data convertida.
	 */
	public static String getGeoserverDate(Date date) {
		String result = null;
		try {
			if (date != null) {
				DateTimeFormat dtf = DateTimeFormat.getFormat("yyyy-MM-dd");
				result = dtf.format(date);
			}
		} catch (Exception e) {
			GWT.log("Error al convertir la data", e);
		}
		return result;
	}

}
