package com.google.gwt.i18n.client;

import com.google.gwt.i18n.client.impl.CurrencyDataImpl;
import com.google.gwt.core.client.JavaScriptObject;
import java.util.HashMap;

public class CurrencyList_ca extends com.google.gwt.i18n.client.CurrencyList_ {
  
  @Override
  protected CurrencyData getDefaultJava() {
    return new CurrencyDataImpl("EUR", "€", 2, "€");
  }
  
  @Override
  protected native CurrencyData getDefaultNative() /*-{
    return [ "EUR", "€", 2, "€"];
  }-*/;
  
  @Override
  protected HashMap<String, CurrencyData> loadCurrencyMapJava() {
    HashMap<String, CurrencyData> result = super.loadCurrencyMapJava();
    // pesseta andorrana
    result.put("ADP", new CurrencyDataImpl("ADP", "ADP", 128));
    // dirhem dels Emirats Àrabs Units
    result.put("AED", new CurrencyDataImpl("AED", "DH", 2, "DH"));
    // afgani afganès (1927-2002)
    result.put("AFA", new CurrencyDataImpl("AFA", "AFA", 130));
    // afgani afganès
    result.put("AFN", new CurrencyDataImpl("AFN", "Af", 0));
    // ALK
    result.put("ALK", new CurrencyDataImpl("ALK", "ALK", 130));
    // lek albanès
    result.put("ALL", new CurrencyDataImpl("ALL", "ALL", 0));
    // dram armeni
    result.put("AMD", new CurrencyDataImpl("AMD", "AMD", 0));
    // florí de les Antilles Neerlandeses
    result.put("ANG", new CurrencyDataImpl("ANG", "NAf.", 2));
    // kwanza angolès
    result.put("AOA", new CurrencyDataImpl("AOA", "Kz", 2));
    // kwanza angolès (1977-1990)
    result.put("AOK", new CurrencyDataImpl("AOK", "AOK", 130));
    // nou kwanza angolès (1990-2000)
    result.put("AON", new CurrencyDataImpl("AON", "AON", 130));
    // kwanza angolès reajustat (1995-1999)
    result.put("AOR", new CurrencyDataImpl("AOR", "AOR", 130));
    // austral argentí
    result.put("ARA", new CurrencyDataImpl("ARA", "₳", 130));
    // peso argentí (1983-1985)
    result.put("ARP", new CurrencyDataImpl("ARP", "ARP", 130));
    // peso argentí
    result.put("ARS", new CurrencyDataImpl("ARS", "AR$", 2, "AR$"));
    // xíling austríac
    result.put("ATS", new CurrencyDataImpl("ATS", "ATS", 130));
    // dòlar australià
    result.put("AUD", new CurrencyDataImpl("AUD", "AU$", 2, "AU$"));
    // florí d'Aruba
    result.put("AWG", new CurrencyDataImpl("AWG", "Afl.", 2));
    // manat azerbaidjanès (1993-2006)
    result.put("AZM", new CurrencyDataImpl("AZM", "AZM", 130));
    // manat azerbaidjanès
    result.put("AZN", new CurrencyDataImpl("AZN", "man.", 2));
    // dinar de Bòsnia i Hercegovina
    result.put("BAD", new CurrencyDataImpl("BAD", "BAD", 130));
    // marc convertible de Bòsnia i Hercegovina
    result.put("BAM", new CurrencyDataImpl("BAM", "KM", 2));
    // BAN
    result.put("BAN", new CurrencyDataImpl("BAN", "BAN", 130));
    // dòlar de Barbados
    result.put("BBD", new CurrencyDataImpl("BBD", "Bds$", 2));
    // taka de Bangla Desh
    result.put("BDT", new CurrencyDataImpl("BDT", "Tk", 2, "Tk"));
    // franc belga (convertible)
    result.put("BEC", new CurrencyDataImpl("BEC", "BEC", 130));
    // franc belga
    result.put("BEF", new CurrencyDataImpl("BEF", "BF", 130));
    // franc belga (financer)
    result.put("BEL", new CurrencyDataImpl("BEL", "BEL", 130));
    // lev fort búlgar
    result.put("BGL", new CurrencyDataImpl("BGL", "BGL", 130));
    // BGM
    result.put("BGM", new CurrencyDataImpl("BGM", "BGM", 130));
    // lev búlgar
    result.put("BGN", new CurrencyDataImpl("BGN", "BGN", 2));
    // BGO
    result.put("BGO", new CurrencyDataImpl("BGO", "BGO", 130));
    // dinar de Bahrain
    result.put("BHD", new CurrencyDataImpl("BHD", "BD", 3));
    // franc de Burundi
    result.put("BIF", new CurrencyDataImpl("BIF", "FBu", 0));
    // dòlar de les Bermudes
    result.put("BMD", new CurrencyDataImpl("BMD", "BD$", 2));
    // dòlar de Brunei
    result.put("BND", new CurrencyDataImpl("BND", "BN$", 2));
    // boliviano
    result.put("BOB", new CurrencyDataImpl("BOB", "Bs", 2));
    // BOL
    result.put("BOL", new CurrencyDataImpl("BOL", "BOL", 130));
    // peso bolivià
    result.put("BOP", new CurrencyDataImpl("BOP", "$b.", 130));
    // MVDOL bolivià
    result.put("BOV", new CurrencyDataImpl("BOV", "BOV", 130));
    // cruzeiro novo brasiler (1967-1986)
    result.put("BRB", new CurrencyDataImpl("BRB", "BRB", 130));
    // cruzado brasiler
    result.put("BRC", new CurrencyDataImpl("BRC", "BRC", 130));
    // cruzeiro brasiler (1990-1993)
    result.put("BRE", new CurrencyDataImpl("BRE", "BRE", 130));
    // real brasiler
    result.put("BRL", new CurrencyDataImpl("BRL", "R$", 2, "R$"));
    // cruzado novo brasiler
    result.put("BRN", new CurrencyDataImpl("BRN", "BRN", 130));
    // cruzeiro brasiler
    result.put("BRR", new CurrencyDataImpl("BRR", "BRR", 130));
    // BRZ
    result.put("BRZ", new CurrencyDataImpl("BRZ", "BRZ", 130));
    // dòlar de les Bahames
    result.put("BSD", new CurrencyDataImpl("BSD", "BS$", 2));
    // ngultrum de Bhutan
    result.put("BTN", new CurrencyDataImpl("BTN", "Nu.", 2));
    // kyat birmà
    result.put("BUK", new CurrencyDataImpl("BUK", "BUK", 130));
    // pula de Botswana
    result.put("BWP", new CurrencyDataImpl("BWP", "BWP", 2));
    // nou ruble bielorús (1994-1999)
    result.put("BYB", new CurrencyDataImpl("BYB", "BYB", 130));
    // ruble bielorús
    result.put("BYR", new CurrencyDataImpl("BYR", "BYR", 0));
    // dòlar de Belize
    result.put("BZD", new CurrencyDataImpl("BZD", "BZ$", 2));
    // dòlar canadenc
    result.put("CAD", new CurrencyDataImpl("CAD", "CA$", 2, "C$"));
    // franc congolès
    result.put("CDF", new CurrencyDataImpl("CDF", "CDF", 2));
    // euro WIR
    result.put("CHE", new CurrencyDataImpl("CHE", "CHE", 130));
    // franc suís
    result.put("CHF", new CurrencyDataImpl("CHF", "CHF", 2, "CHF"));
    // franc WIR
    result.put("CHW", new CurrencyDataImpl("CHW", "CHW", 130));
    // unidad de fomento xilena
    result.put("CLF", new CurrencyDataImpl("CLF", "CLF", 128));
    // peso xilè
    result.put("CLP", new CurrencyDataImpl("CLP", "CL$", 0, "CL$"));
    // iuan renmimbi xinès
    result.put("CNY", new CurrencyDataImpl("CNY", "CN¥", 2, "RMB¥"));
    // peso colombià
    result.put("COP", new CurrencyDataImpl("COP", "CO$", 0, "COL$"));
    // unidad de valor real colombiana
    result.put("COU", new CurrencyDataImpl("COU", "COU", 130));
    // colón costa-riqueny
    result.put("CRC", new CurrencyDataImpl("CRC", "₡", 0, "CR₡"));
    // dinar serbi antic
    result.put("CSD", new CurrencyDataImpl("CSD", "CSD", 130));
    // corona forta txecoslovaca
    result.put("CSK", new CurrencyDataImpl("CSK", "CSK", 130));
    // peso convertible cubà
    result.put("CUC", new CurrencyDataImpl("CUC", "CUC$", 2));
    // peso cubà
    result.put("CUP", new CurrencyDataImpl("CUP", "CU$", 2, "$MN"));
    // escut de Cap Verd
    result.put("CVE", new CurrencyDataImpl("CVE", "CV$", 2));
    // lliura xipriota
    result.put("CYP", new CurrencyDataImpl("CYP", "CY£", 130));
    // corona txeca
    result.put("CZK", new CurrencyDataImpl("CZK", "Kč", 2, "Kč"));
    // marc de l'Alemanya Oriental
    result.put("DDM", new CurrencyDataImpl("DDM", "DDM", 130));
    // marc alemany
    result.put("DEM", new CurrencyDataImpl("DEM", "DM", 130));
    // franc de Djibouti
    result.put("DJF", new CurrencyDataImpl("DJF", "Fdj", 0));
    // corona danesa
    result.put("DKK", new CurrencyDataImpl("DKK", "Dkr", 2, "kr"));
    // peso dominicà
    result.put("DOP", new CurrencyDataImpl("DOP", "RD$", 2, "RD$"));
    // dinar algerià
    result.put("DZD", new CurrencyDataImpl("DZD", "DA", 2));
    // sucre equatorià
    result.put("ECS", new CurrencyDataImpl("ECS", "ECS", 130));
    // unidad de valor constante (UVC) equatoriana
    result.put("ECV", new CurrencyDataImpl("ECV", "ECV", 130));
    // corona estoniana
    result.put("EEK", new CurrencyDataImpl("EEK", "Ekr", 2));
    // lliura egípcia
    result.put("EGP", new CurrencyDataImpl("EGP", "EG£", 2, "LE"));
    // nakfa eritreu
    result.put("ERN", new CurrencyDataImpl("ERN", "Nfk", 2));
    // pesseta espanyola (compte A)
    result.put("ESA", new CurrencyDataImpl("ESA", "ESA", 130));
    // pesseta espanyola (compte convertible)
    result.put("ESB", new CurrencyDataImpl("ESB", "ESB", 130));
    // pesseta espanyola
    result.put("ESP", new CurrencyDataImpl("ESP", "₧", 128));
    // birr etíop
    result.put("ETB", new CurrencyDataImpl("ETB", "Br", 2));
    // euro
    result.put("EUR", new CurrencyDataImpl("EUR", "€", 2, "€"));
    // marc finlandès
    result.put("FIM", new CurrencyDataImpl("FIM", "mk", 130));
    // dòlar fijià
    result.put("FJD", new CurrencyDataImpl("FJD", "FJ$", 2));
    // lliura de les illes Malvines
    result.put("FKP", new CurrencyDataImpl("FKP", "FK£", 2));
    // franc francès
    result.put("FRF", new CurrencyDataImpl("FRF", "₣", 130));
    // lliura esterlina britànica
    result.put("GBP", new CurrencyDataImpl("GBP", "UK£", 2, "GB£"));
    // cupó de lari georgià
    result.put("GEK", new CurrencyDataImpl("GEK", "GEK", 130));
    // lari georgià
    result.put("GEL", new CurrencyDataImpl("GEL", "GEL", 2));
    // cedi ghanès (1979-2007)
    result.put("GHC", new CurrencyDataImpl("GHC", "₵", 130));
    // cedi ghanès
    result.put("GHS", new CurrencyDataImpl("GHS", "GH₵", 2));
    // lliura de Gibraltar
    result.put("GIP", new CurrencyDataImpl("GIP", "GI£", 2));
    // dalasi gambià
    result.put("GMD", new CurrencyDataImpl("GMD", "GMD", 2));
    // franc guineà
    result.put("GNF", new CurrencyDataImpl("GNF", "FG", 0));
    // syli guineà
    result.put("GNS", new CurrencyDataImpl("GNS", "GNS", 130));
    // ekwele de Guinea Equatorial
    result.put("GQE", new CurrencyDataImpl("GQE", "GQE", 130));
    // dracma grega
    result.put("GRD", new CurrencyDataImpl("GRD", "₯", 130));
    // quetzal guatemalenc
    result.put("GTQ", new CurrencyDataImpl("GTQ", "GTQ", 2));
    // escut de la Guinea Portuguesa
    result.put("GWE", new CurrencyDataImpl("GWE", "GWE", 130));
    // peso de Guinea Bissau
    result.put("GWP", new CurrencyDataImpl("GWP", "GWP", 130));
    // dòlar de Guyana
    result.put("GYD", new CurrencyDataImpl("GYD", "GY$", 0));
    // dòlar de Hong Kong
    result.put("HKD", new CurrencyDataImpl("HKD", "HK$", 2, "HK$"));
    // lempira hondurenya
    result.put("HNL", new CurrencyDataImpl("HNL", "HNL", 2));
    // dinar croat
    result.put("HRD", new CurrencyDataImpl("HRD", "HRD", 130));
    // kuna croata
    result.put("HRK", new CurrencyDataImpl("HRK", "kn", 2));
    // gourde haitià
    result.put("HTG", new CurrencyDataImpl("HTG", "HTG", 2));
    // fòrint hongarès
    result.put("HUF", new CurrencyDataImpl("HUF", "Ft", 0));
    // rupia indonèsia
    result.put("IDR", new CurrencyDataImpl("IDR", "Rp", 0));
    // lliura irlandesa
    result.put("IEP", new CurrencyDataImpl("IEP", "IR£", 130));
    // lliura israeliana
    result.put("ILP", new CurrencyDataImpl("ILP", "I£", 130));
    // xéquel israelià
    result.put("ILR", new CurrencyDataImpl("ILR", "ILR", 130));
    // nou xéquel israelià
    result.put("ILS", new CurrencyDataImpl("ILS", "₪", 2, "IL₪"));
    // rupia índia
    result.put("INR", new CurrencyDataImpl("INR", "Rs.", 2, "Rs"));
    // dinar iraquià
    result.put("IQD", new CurrencyDataImpl("IQD", "IQD", 0));
    // rial iranià
    result.put("IRR", new CurrencyDataImpl("IRR", "IRR", 0));
    // corona islandesa antiga
    result.put("ISJ", new CurrencyDataImpl("ISJ", "ISJ", 130));
    // corona islandesa
    result.put("ISK", new CurrencyDataImpl("ISK", "Ikr", 0, "kr"));
    // lira italiana
    result.put("ITL", new CurrencyDataImpl("ITL", "IT₤", 128));
    // dòlar jamaicà
    result.put("JMD", new CurrencyDataImpl("JMD", "J$", 2, "JA$"));
    // dinar jordà
    result.put("JOD", new CurrencyDataImpl("JOD", "JD", 3));
    // ien japonès
    result.put("JPY", new CurrencyDataImpl("JPY", "JP¥", 0, "JP¥"));
    // xíling kenyà
    result.put("KES", new CurrencyDataImpl("KES", "Ksh", 2));
    // som kirguís
    result.put("KGS", new CurrencyDataImpl("KGS", "KGS", 2));
    // riel cambodjà
    result.put("KHR", new CurrencyDataImpl("KHR", "KHR", 2));
    // franc de les Comores
    result.put("KMF", new CurrencyDataImpl("KMF", "CF", 0));
    // won nord-coreà
    result.put("KPW", new CurrencyDataImpl("KPW", "KPW", 0));
    // KRH
    result.put("KRH", new CurrencyDataImpl("KRH", "KRH", 130));
    // KRO
    result.put("KRO", new CurrencyDataImpl("KRO", "KRO", 130));
    // won sud-coreà
    result.put("KRW", new CurrencyDataImpl("KRW", "₩", 0, "KR₩"));
    // dinar kuwaitià
    result.put("KWD", new CurrencyDataImpl("KWD", "KD", 3));
    // dòlar de les illes Caiman
    result.put("KYD", new CurrencyDataImpl("KYD", "KY$", 2));
    // tenge kazakh
    result.put("KZT", new CurrencyDataImpl("KZT", "KZT", 2));
    // kip laosià
    result.put("LAK", new CurrencyDataImpl("LAK", "₭", 0));
    // lliura libanesa
    result.put("LBP", new CurrencyDataImpl("LBP", "LB£", 0));
    // rupia de Sri Lanka
    result.put("LKR", new CurrencyDataImpl("LKR", "SLRs", 2, "SLRs"));
    // dòlar liberià
    result.put("LRD", new CurrencyDataImpl("LRD", "L$", 2));
    // loti de Lesotho
    result.put("LSL", new CurrencyDataImpl("LSL", "LSL", 2));
    // litas lituà
    result.put("LTL", new CurrencyDataImpl("LTL", "Lt", 2));
    // talonas lituà
    result.put("LTT", new CurrencyDataImpl("LTT", "LTT", 130));
    // franc convertible luxemburguès
    result.put("LUC", new CurrencyDataImpl("LUC", "LUC", 130));
    // franc luxemburguès
    result.put("LUF", new CurrencyDataImpl("LUF", "LUF", 128));
    // franc financer luxemburguès
    result.put("LUL", new CurrencyDataImpl("LUL", "LUL", 130));
    // lats letó
    result.put("LVL", new CurrencyDataImpl("LVL", "Ls", 2));
    // ruble letó
    result.put("LVR", new CurrencyDataImpl("LVR", "LVR", 130));
    // dinar libi
    result.put("LYD", new CurrencyDataImpl("LYD", "LD", 3));
    // dírham marroquí
    result.put("MAD", new CurrencyDataImpl("MAD", "MAD", 2));
    // franc marroquí
    result.put("MAF", new CurrencyDataImpl("MAF", "MAF", 130));
    // MCF
    result.put("MCF", new CurrencyDataImpl("MCF", "MCF", 130));
    // MDC
    result.put("MDC", new CurrencyDataImpl("MDC", "MDC", 130));
    // leu moldau
    result.put("MDL", new CurrencyDataImpl("MDL", "MDL", 2));
    // ariary malgaix
    result.put("MGA", new CurrencyDataImpl("MGA", "MGA", 0));
    // franc malgaix
    result.put("MGF", new CurrencyDataImpl("MGF", "MGF", 128));
    // denar macedoni
    result.put("MKD", new CurrencyDataImpl("MKD", "MKD", 2));
    // MKN
    result.put("MKN", new CurrencyDataImpl("MKN", "MKN", 130));
    // franc malià
    result.put("MLF", new CurrencyDataImpl("MLF", "MLF", 130));
    // kyat de Myanmar
    result.put("MMK", new CurrencyDataImpl("MMK", "MMK", 0));
    // tögrög mongol
    result.put("MNT", new CurrencyDataImpl("MNT", "₮", 0, "MN₮"));
    // pataca de Macau
    result.put("MOP", new CurrencyDataImpl("MOP", "MOP$", 2));
    // ouguiya maurità
    result.put("MRO", new CurrencyDataImpl("MRO", "UM", 0));
    // lira maltesa
    result.put("MTL", new CurrencyDataImpl("MTL", "Lm", 130));
    // lliura maltesa
    result.put("MTP", new CurrencyDataImpl("MTP", "MT£", 130));
    // rupia de Maurici
    result.put("MUR", new CurrencyDataImpl("MUR", "MURs", 0));
    // rupia de les Maldives
    result.put("MVR", new CurrencyDataImpl("MVR", "MVR", 2));
    // kwacha malawià
    result.put("MWK", new CurrencyDataImpl("MWK", "MWK", 2));
    // peso mexicà
    result.put("MXN", new CurrencyDataImpl("MXN", "MX$", 2, "Mex$"));
    // peso de plata mexicà (1861-1992)
    result.put("MXP", new CurrencyDataImpl("MXP", "MXP", 130));
    // unidad de inversión (UDI) mexicana
    result.put("MXV", new CurrencyDataImpl("MXV", "MXV", 130));
    // ringgit de Malàisia
    result.put("MYR", new CurrencyDataImpl("MYR", "RM", 2, "RM"));
    // escut moçambiquès
    result.put("MZE", new CurrencyDataImpl("MZE", "MZE", 130));
    // antic metical moçambiquès
    result.put("MZM", new CurrencyDataImpl("MZM", "Mt", 130));
    // metical moçambiquès
    result.put("MZN", new CurrencyDataImpl("MZN", "MTn", 2));
    // dòlar namibià
    result.put("NAD", new CurrencyDataImpl("NAD", "N$", 2));
    // naira nigerià
    result.put("NGN", new CurrencyDataImpl("NGN", "₦", 2));
    // córdoba nicaragüenca
    result.put("NIC", new CurrencyDataImpl("NIC", "NIC", 130));
    // córdoba oro nicaragüenca
    result.put("NIO", new CurrencyDataImpl("NIO", "C$", 2));
    // florí neerlandès
    result.put("NLG", new CurrencyDataImpl("NLG", "fl", 130));
    // corona noruega
    result.put("NOK", new CurrencyDataImpl("NOK", "Nkr", 2, "NOkr"));
    // rupia nepalesa
    result.put("NPR", new CurrencyDataImpl("NPR", "NPRs", 2));
    // dòlar neozelandès
    result.put("NZD", new CurrencyDataImpl("NZD", "NZ$", 2));
    // rial omanita
    result.put("OMR", new CurrencyDataImpl("OMR", "OMR", 3));
    // balboa panameny
    result.put("PAB", new CurrencyDataImpl("PAB", "B/.", 2, "B/."));
    // inti peruà
    result.put("PEI", new CurrencyDataImpl("PEI", "I/.", 130));
    // nou sol peruà
    result.put("PEN", new CurrencyDataImpl("PEN", "S/.", 2, "S/."));
    // sol peruà
    result.put("PES", new CurrencyDataImpl("PES", "PES", 130));
    // kina de Papua Nova Guinea
    result.put("PGK", new CurrencyDataImpl("PGK", "PGK", 2));
    // peso filipí
    result.put("PHP", new CurrencyDataImpl("PHP", "Php", 2, "PHP"));
    // rupia pakistanesa
    result.put("PKR", new CurrencyDataImpl("PKR", "PKRs", 0, "PKRs."));
    // zloty polonès
    result.put("PLN", new CurrencyDataImpl("PLN", "zł", 2));
    // zloty polonès (1950-1995)
    result.put("PLZ", new CurrencyDataImpl("PLZ", "PLZ", 130));
    // escut portuguès
    result.put("PTE", new CurrencyDataImpl("PTE", "Esc", 130));
    // guaraní paraguaià
    result.put("PYG", new CurrencyDataImpl("PYG", "₲", 0));
    // riyal de Qatar
    result.put("QAR", new CurrencyDataImpl("QAR", "QR", 2));
    // dòlar rhodesià
    result.put("RHD", new CurrencyDataImpl("RHD", "RH$", 130));
    // antic leu romanès
    result.put("ROL", new CurrencyDataImpl("ROL", "ROL", 130));
    // leu romanès
    result.put("RON", new CurrencyDataImpl("RON", "RON", 2));
    // dinar serbi
    result.put("RSD", new CurrencyDataImpl("RSD", "din.", 0));
    // ruble rus
    result.put("RUB", new CurrencyDataImpl("RUB", "руб", 2, "руб"));
    // ruble rus (1991-1998)
    result.put("RUR", new CurrencyDataImpl("RUR", "RUR", 130));
    // franc rwandès
    result.put("RWF", new CurrencyDataImpl("RWF", "RWF", 0));
    // riyal saudita
    result.put("SAR", new CurrencyDataImpl("SAR", "SR", 2, "SR"));
    // dòlar de les illes Salomó
    result.put("SBD", new CurrencyDataImpl("SBD", "SI$", 2));
    // rupia de les Seychelles
    result.put("SCR", new CurrencyDataImpl("SCR", "SRe", 2));
    // dinar sudanès
    result.put("SDD", new CurrencyDataImpl("SDD", "LSd", 130));
    // lliura sudanesa
    result.put("SDG", new CurrencyDataImpl("SDG", "SDG", 2));
    // antiga lliura sudanesa
    result.put("SDP", new CurrencyDataImpl("SDP", "SDP", 130));
    // corona sueca
    result.put("SEK", new CurrencyDataImpl("SEK", "Skr", 2, "kr"));
    // dòlar de Singapur
    result.put("SGD", new CurrencyDataImpl("SGD", "S$", 2, "S$"));
    // lliura de Santa Helena
    result.put("SHP", new CurrencyDataImpl("SHP", "SH£", 2));
    // tolar eslovè
    result.put("SIT", new CurrencyDataImpl("SIT", "SIT", 130));
    // corona eslovaca
    result.put("SKK", new CurrencyDataImpl("SKK", "Sk", 130));
    // leone de Sierra Leone
    result.put("SLL", new CurrencyDataImpl("SLL", "Le", 0));
    // xíling somali
    result.put("SOS", new CurrencyDataImpl("SOS", "Ssh", 0));
    // dòlar de Surinam
    result.put("SRD", new CurrencyDataImpl("SRD", "SR$", 2));
    // florí de Surinam
    result.put("SRG", new CurrencyDataImpl("SRG", "Sf", 130));
    // dobra de São Tomé i Príncipe
    result.put("STD", new CurrencyDataImpl("STD", "Db", 0));
    // ruble soviètic
    result.put("SUR", new CurrencyDataImpl("SUR", "SUR", 130));
    // colón salvadorenc
    result.put("SVC", new CurrencyDataImpl("SVC", "SV₡", 130));
    // lliura síria
    result.put("SYP", new CurrencyDataImpl("SYP", "SY£", 0));
    // lilangeni swazi
    result.put("SZL", new CurrencyDataImpl("SZL", "SZL", 2));
    // baht tailandès
    result.put("THB", new CurrencyDataImpl("THB", "฿", 2, "THB"));
    // ruble tadjik
    result.put("TJR", new CurrencyDataImpl("TJR", "TJR", 130));
    // somoni tadjik
    result.put("TJS", new CurrencyDataImpl("TJS", "TJS", 2));
    // manat turcman
    result.put("TMM", new CurrencyDataImpl("TMM", "TMM", 128));
    // nou manat turcman
    result.put("TMT", new CurrencyDataImpl("TMT", "TMT", 2));
    // dinar tunisià
    result.put("TND", new CurrencyDataImpl("TND", "DT", 3));
    // pa‘anga tongà
    result.put("TOP", new CurrencyDataImpl("TOP", "T$", 2));
    // escut de Timor
    result.put("TPE", new CurrencyDataImpl("TPE", "TPE", 130));
    // antiga lira turca
    result.put("TRL", new CurrencyDataImpl("TRL", "TRL", 128));
    // lira turca
    result.put("TRY", new CurrencyDataImpl("TRY", "TL", 2, "YTL"));
    // dòlar de Trinitat i Tobago
    result.put("TTD", new CurrencyDataImpl("TTD", "TT$", 2));
    // nou dòlar de Taiwan
    result.put("TWD", new CurrencyDataImpl("TWD", "NT$", 2, "NT$"));
    // xíling tanzà
    result.put("TZS", new CurrencyDataImpl("TZS", "TSh", 0));
    // hrívnia ucraïnesa
    result.put("UAH", new CurrencyDataImpl("UAH", "UAH", 2));
    // karbóvanets ucraïnès
    result.put("UAK", new CurrencyDataImpl("UAK", "UAK", 130));
    // xíling ugandès (1966-1987)
    result.put("UGS", new CurrencyDataImpl("UGS", "UGS", 130));
    // xíling ugandès
    result.put("UGX", new CurrencyDataImpl("UGX", "USh", 0));
    // dòlar dels Estats Units
    result.put("USD", new CurrencyDataImpl("USD", "US$", 2, "US$"));
    // dòlar dels Estats Units (dia següent)
    result.put("USN", new CurrencyDataImpl("USN", "USN", 130));
    // dòlar dels Estats Units (mateix dia)
    result.put("USS", new CurrencyDataImpl("USS", "USS", 130));
    // peso uruguaià en unitats indexades
    result.put("UYI", new CurrencyDataImpl("UYI", "UYI", 130));
    // peso uruguaià (1975-1993)
    result.put("UYP", new CurrencyDataImpl("UYP", "UYP", 130));
    // peso uruguaià
    result.put("UYU", new CurrencyDataImpl("UYU", "$U", 2, "UY$"));
    // som uzbek
    result.put("UZS", new CurrencyDataImpl("UZS", "UZS", 0));
    // bolívar veneçolà
    result.put("VEB", new CurrencyDataImpl("VEB", "VEB", 130));
    // bolívar fort veneçolà
    result.put("VEF", new CurrencyDataImpl("VEF", "Bs.F.", 2));
    // dong vietnamita
    result.put("VND", new CurrencyDataImpl("VND", "₫", 24, "₫"));
    // VNN
    result.put("VNN", new CurrencyDataImpl("VNN", "VNN", 130));
    // vatu de Vanuatu
    result.put("VUV", new CurrencyDataImpl("VUV", "VT", 0));
    // tala samoà
    result.put("WST", new CurrencyDataImpl("WST", "WS$", 2));
    // franc CFA BEAC
    result.put("XAF", new CurrencyDataImpl("XAF", "FCFA", 0));
    // plata
    result.put("XAG", new CurrencyDataImpl("XAG", "XAG", 130));
    // or
    result.put("XAU", new CurrencyDataImpl("XAU", "XAU", 130));
    // unitat compensatòria europea
    result.put("XBA", new CurrencyDataImpl("XBA", "XBA", 130));
    // unitat monetària europea
    result.put("XBB", new CurrencyDataImpl("XBB", "XBB", 130));
    // unitat de compte europea (XBC)
    result.put("XBC", new CurrencyDataImpl("XBC", "XBC", 130));
    // unitat de compte europea (XBD)
    result.put("XBD", new CurrencyDataImpl("XBD", "XBD", 130));
    // dòlar del Carib Oriental
    result.put("XCD", new CurrencyDataImpl("XCD", "EC$", 2));
    // drets especials de gir
    result.put("XDR", new CurrencyDataImpl("XDR", "XDR", 130));
    // unitat de moneda europea
    result.put("XEU", new CurrencyDataImpl("XEU", "XEU", 130));
    // franc or francès
    result.put("XFO", new CurrencyDataImpl("XFO", "XFO", 130));
    // franc UIC francès
    result.put("XFU", new CurrencyDataImpl("XFU", "XFU", 130));
    // franc CFA BCEAO
    result.put("XOF", new CurrencyDataImpl("XOF", "CFA", 0));
    // pal·ladi
    result.put("XPD", new CurrencyDataImpl("XPD", "XPD", 130));
    // franc CFP
    result.put("XPF", new CurrencyDataImpl("XPF", "CFPF", 0));
    // platí
    result.put("XPT", new CurrencyDataImpl("XPT", "XPT", 130));
    // fons RINET
    result.put("XRE", new CurrencyDataImpl("XRE", "XRE", 130));
    // codi reservat per a proves
    result.put("XTS", new CurrencyDataImpl("XTS", "XTS", 130));
    // moneda desconeguda/no vàlida
    result.put("XXX", new CurrencyDataImpl("XXX", "XXX", 130));
    // dinar iemenita
    result.put("YDD", new CurrencyDataImpl("YDD", "YDD", 130));
    // rial iemenita
    result.put("YER", new CurrencyDataImpl("YER", "YR", 0, "YER"));
    // dinar fort iugoslau
    result.put("YUD", new CurrencyDataImpl("YUD", "YUD", 130));
    // nou dinar iugoslau
    result.put("YUM", new CurrencyDataImpl("YUM", "YUM", 130));
    // dinar convertible iugoslau
    result.put("YUN", new CurrencyDataImpl("YUN", "YUN", 130));
    // YUR
    result.put("YUR", new CurrencyDataImpl("YUR", "YUR", 130));
    // rand sud-africà (financer)
    result.put("ZAL", new CurrencyDataImpl("ZAL", "ZAL", 130));
    // rand sud-africà
    result.put("ZAR", new CurrencyDataImpl("ZAR", "R", 2, "ZAR"));
    // kwacha zambià
    result.put("ZMK", new CurrencyDataImpl("ZMK", "ZK", 0));
    // nou zaire zairès
    result.put("ZRN", new CurrencyDataImpl("ZRN", "NZ", 130));
    // zaire zairès
    result.put("ZRZ", new CurrencyDataImpl("ZRZ", "ZRZ", 130));
    // dòlar zimbabuès
    result.put("ZWD", new CurrencyDataImpl("ZWD", "Z$", 128));
    // dòlar zimbabuès (2009)
    result.put("ZWL", new CurrencyDataImpl("ZWL", "ZWL", 130));
    // ZWR
    result.put("ZWR", new CurrencyDataImpl("ZWR", "ZWR", 130));
    return result;
  }
  
  @Override
  protected JavaScriptObject loadCurrencyMapNative() {
    return overrideMap(super.loadCurrencyMapNative(), loadMyCurrencyMapOverridesNative());
  }
  
  private native JavaScriptObject loadMyCurrencyMapOverridesNative() /*-{
    return {
      // pesseta andorrana
      "ADP": [ "ADP", "ADP", 128],
      // dirhem dels Emirats Àrabs Units
      "AED": [ "AED", "DH", 2, "DH"],
      // afgani afganès (1927-2002)
      "AFA": [ "AFA", "AFA", 130],
      // afgani afganès
      "AFN": [ "AFN", "Af", 0],
      // ALK
      "ALK": [ "ALK", "ALK", 130],
      // lek albanès
      "ALL": [ "ALL", "ALL", 0],
      // dram armeni
      "AMD": [ "AMD", "AMD", 0],
      // florí de les Antilles Neerlandeses
      "ANG": [ "ANG", "NAf.", 2],
      // kwanza angolès
      "AOA": [ "AOA", "Kz", 2],
      // kwanza angolès (1977-1990)
      "AOK": [ "AOK", "AOK", 130],
      // nou kwanza angolès (1990-2000)
      "AON": [ "AON", "AON", 130],
      // kwanza angolès reajustat (1995-1999)
      "AOR": [ "AOR", "AOR", 130],
      // austral argentí
      "ARA": [ "ARA", "₳", 130],
      // peso argentí (1983-1985)
      "ARP": [ "ARP", "ARP", 130],
      // peso argentí
      "ARS": [ "ARS", "AR$", 2, "AR$"],
      // xíling austríac
      "ATS": [ "ATS", "ATS", 130],
      // dòlar australià
      "AUD": [ "AUD", "AU$", 2, "AU$"],
      // florí d'Aruba
      "AWG": [ "AWG", "Afl.", 2],
      // manat azerbaidjanès (1993-2006)
      "AZM": [ "AZM", "AZM", 130],
      // manat azerbaidjanès
      "AZN": [ "AZN", "man.", 2],
      // dinar de Bòsnia i Hercegovina
      "BAD": [ "BAD", "BAD", 130],
      // marc convertible de Bòsnia i Hercegovina
      "BAM": [ "BAM", "KM", 2],
      // BAN
      "BAN": [ "BAN", "BAN", 130],
      // dòlar de Barbados
      "BBD": [ "BBD", "Bds$", 2],
      // taka de Bangla Desh
      "BDT": [ "BDT", "Tk", 2, "Tk"],
      // franc belga (convertible)
      "BEC": [ "BEC", "BEC", 130],
      // franc belga
      "BEF": [ "BEF", "BF", 130],
      // franc belga (financer)
      "BEL": [ "BEL", "BEL", 130],
      // lev fort búlgar
      "BGL": [ "BGL", "BGL", 130],
      // BGM
      "BGM": [ "BGM", "BGM", 130],
      // lev búlgar
      "BGN": [ "BGN", "BGN", 2],
      // BGO
      "BGO": [ "BGO", "BGO", 130],
      // dinar de Bahrain
      "BHD": [ "BHD", "BD", 3],
      // franc de Burundi
      "BIF": [ "BIF", "FBu", 0],
      // dòlar de les Bermudes
      "BMD": [ "BMD", "BD$", 2],
      // dòlar de Brunei
      "BND": [ "BND", "BN$", 2],
      // boliviano
      "BOB": [ "BOB", "Bs", 2],
      // BOL
      "BOL": [ "BOL", "BOL", 130],
      // peso bolivià
      "BOP": [ "BOP", "$b.", 130],
      // MVDOL bolivià
      "BOV": [ "BOV", "BOV", 130],
      // cruzeiro novo brasiler (1967-1986)
      "BRB": [ "BRB", "BRB", 130],
      // cruzado brasiler
      "BRC": [ "BRC", "BRC", 130],
      // cruzeiro brasiler (1990-1993)
      "BRE": [ "BRE", "BRE", 130],
      // real brasiler
      "BRL": [ "BRL", "R$", 2, "R$"],
      // cruzado novo brasiler
      "BRN": [ "BRN", "BRN", 130],
      // cruzeiro brasiler
      "BRR": [ "BRR", "BRR", 130],
      // BRZ
      "BRZ": [ "BRZ", "BRZ", 130],
      // dòlar de les Bahames
      "BSD": [ "BSD", "BS$", 2],
      // ngultrum de Bhutan
      "BTN": [ "BTN", "Nu.", 2],
      // kyat birmà
      "BUK": [ "BUK", "BUK", 130],
      // pula de Botswana
      "BWP": [ "BWP", "BWP", 2],
      // nou ruble bielorús (1994-1999)
      "BYB": [ "BYB", "BYB", 130],
      // ruble bielorús
      "BYR": [ "BYR", "BYR", 0],
      // dòlar de Belize
      "BZD": [ "BZD", "BZ$", 2],
      // dòlar canadenc
      "CAD": [ "CAD", "CA$", 2, "C$"],
      // franc congolès
      "CDF": [ "CDF", "CDF", 2],
      // euro WIR
      "CHE": [ "CHE", "CHE", 130],
      // franc suís
      "CHF": [ "CHF", "CHF", 2, "CHF"],
      // franc WIR
      "CHW": [ "CHW", "CHW", 130],
      // unidad de fomento xilena
      "CLF": [ "CLF", "CLF", 128],
      // peso xilè
      "CLP": [ "CLP", "CL$", 0, "CL$"],
      // iuan renmimbi xinès
      "CNY": [ "CNY", "CN¥", 2, "RMB¥"],
      // peso colombià
      "COP": [ "COP", "CO$", 0, "COL$"],
      // unidad de valor real colombiana
      "COU": [ "COU", "COU", 130],
      // colón costa-riqueny
      "CRC": [ "CRC", "₡", 0, "CR₡"],
      // dinar serbi antic
      "CSD": [ "CSD", "CSD", 130],
      // corona forta txecoslovaca
      "CSK": [ "CSK", "CSK", 130],
      // peso convertible cubà
      "CUC": [ "CUC", "CUC$", 2],
      // peso cubà
      "CUP": [ "CUP", "CU$", 2, "$MN"],
      // escut de Cap Verd
      "CVE": [ "CVE", "CV$", 2],
      // lliura xipriota
      "CYP": [ "CYP", "CY£", 130],
      // corona txeca
      "CZK": [ "CZK", "Kč", 2, "Kč"],
      // marc de l'Alemanya Oriental
      "DDM": [ "DDM", "DDM", 130],
      // marc alemany
      "DEM": [ "DEM", "DM", 130],
      // franc de Djibouti
      "DJF": [ "DJF", "Fdj", 0],
      // corona danesa
      "DKK": [ "DKK", "Dkr", 2, "kr"],
      // peso dominicà
      "DOP": [ "DOP", "RD$", 2, "RD$"],
      // dinar algerià
      "DZD": [ "DZD", "DA", 2],
      // sucre equatorià
      "ECS": [ "ECS", "ECS", 130],
      // unidad de valor constante (UVC) equatoriana
      "ECV": [ "ECV", "ECV", 130],
      // corona estoniana
      "EEK": [ "EEK", "Ekr", 2],
      // lliura egípcia
      "EGP": [ "EGP", "EG£", 2, "LE"],
      // nakfa eritreu
      "ERN": [ "ERN", "Nfk", 2],
      // pesseta espanyola (compte A)
      "ESA": [ "ESA", "ESA", 130],
      // pesseta espanyola (compte convertible)
      "ESB": [ "ESB", "ESB", 130],
      // pesseta espanyola
      "ESP": [ "ESP", "₧", 128],
      // birr etíop
      "ETB": [ "ETB", "Br", 2],
      // euro
      "EUR": [ "EUR", "€", 2, "€"],
      // marc finlandès
      "FIM": [ "FIM", "mk", 130],
      // dòlar fijià
      "FJD": [ "FJD", "FJ$", 2],
      // lliura de les illes Malvines
      "FKP": [ "FKP", "FK£", 2],
      // franc francès
      "FRF": [ "FRF", "₣", 130],
      // lliura esterlina britànica
      "GBP": [ "GBP", "UK£", 2, "GB£"],
      // cupó de lari georgià
      "GEK": [ "GEK", "GEK", 130],
      // lari georgià
      "GEL": [ "GEL", "GEL", 2],
      // cedi ghanès (1979-2007)
      "GHC": [ "GHC", "₵", 130],
      // cedi ghanès
      "GHS": [ "GHS", "GH₵", 2],
      // lliura de Gibraltar
      "GIP": [ "GIP", "GI£", 2],
      // dalasi gambià
      "GMD": [ "GMD", "GMD", 2],
      // franc guineà
      "GNF": [ "GNF", "FG", 0],
      // syli guineà
      "GNS": [ "GNS", "GNS", 130],
      // ekwele de Guinea Equatorial
      "GQE": [ "GQE", "GQE", 130],
      // dracma grega
      "GRD": [ "GRD", "₯", 130],
      // quetzal guatemalenc
      "GTQ": [ "GTQ", "GTQ", 2],
      // escut de la Guinea Portuguesa
      "GWE": [ "GWE", "GWE", 130],
      // peso de Guinea Bissau
      "GWP": [ "GWP", "GWP", 130],
      // dòlar de Guyana
      "GYD": [ "GYD", "GY$", 0],
      // dòlar de Hong Kong
      "HKD": [ "HKD", "HK$", 2, "HK$"],
      // lempira hondurenya
      "HNL": [ "HNL", "HNL", 2],
      // dinar croat
      "HRD": [ "HRD", "HRD", 130],
      // kuna croata
      "HRK": [ "HRK", "kn", 2],
      // gourde haitià
      "HTG": [ "HTG", "HTG", 2],
      // fòrint hongarès
      "HUF": [ "HUF", "Ft", 0],
      // rupia indonèsia
      "IDR": [ "IDR", "Rp", 0],
      // lliura irlandesa
      "IEP": [ "IEP", "IR£", 130],
      // lliura israeliana
      "ILP": [ "ILP", "I£", 130],
      // xéquel israelià
      "ILR": [ "ILR", "ILR", 130],
      // nou xéquel israelià
      "ILS": [ "ILS", "₪", 2, "IL₪"],
      // rupia índia
      "INR": [ "INR", "Rs.", 2, "Rs"],
      // dinar iraquià
      "IQD": [ "IQD", "IQD", 0],
      // rial iranià
      "IRR": [ "IRR", "IRR", 0],
      // corona islandesa antiga
      "ISJ": [ "ISJ", "ISJ", 130],
      // corona islandesa
      "ISK": [ "ISK", "Ikr", 0, "kr"],
      // lira italiana
      "ITL": [ "ITL", "IT₤", 128],
      // dòlar jamaicà
      "JMD": [ "JMD", "J$", 2, "JA$"],
      // dinar jordà
      "JOD": [ "JOD", "JD", 3],
      // ien japonès
      "JPY": [ "JPY", "JP¥", 0, "JP¥"],
      // xíling kenyà
      "KES": [ "KES", "Ksh", 2],
      // som kirguís
      "KGS": [ "KGS", "KGS", 2],
      // riel cambodjà
      "KHR": [ "KHR", "KHR", 2],
      // franc de les Comores
      "KMF": [ "KMF", "CF", 0],
      // won nord-coreà
      "KPW": [ "KPW", "KPW", 0],
      // KRH
      "KRH": [ "KRH", "KRH", 130],
      // KRO
      "KRO": [ "KRO", "KRO", 130],
      // won sud-coreà
      "KRW": [ "KRW", "₩", 0, "KR₩"],
      // dinar kuwaitià
      "KWD": [ "KWD", "KD", 3],
      // dòlar de les illes Caiman
      "KYD": [ "KYD", "KY$", 2],
      // tenge kazakh
      "KZT": [ "KZT", "KZT", 2],
      // kip laosià
      "LAK": [ "LAK", "₭", 0],
      // lliura libanesa
      "LBP": [ "LBP", "LB£", 0],
      // rupia de Sri Lanka
      "LKR": [ "LKR", "SLRs", 2, "SLRs"],
      // dòlar liberià
      "LRD": [ "LRD", "L$", 2],
      // loti de Lesotho
      "LSL": [ "LSL", "LSL", 2],
      // litas lituà
      "LTL": [ "LTL", "Lt", 2],
      // talonas lituà
      "LTT": [ "LTT", "LTT", 130],
      // franc convertible luxemburguès
      "LUC": [ "LUC", "LUC", 130],
      // franc luxemburguès
      "LUF": [ "LUF", "LUF", 128],
      // franc financer luxemburguès
      "LUL": [ "LUL", "LUL", 130],
      // lats letó
      "LVL": [ "LVL", "Ls", 2],
      // ruble letó
      "LVR": [ "LVR", "LVR", 130],
      // dinar libi
      "LYD": [ "LYD", "LD", 3],
      // dírham marroquí
      "MAD": [ "MAD", "MAD", 2],
      // franc marroquí
      "MAF": [ "MAF", "MAF", 130],
      // MCF
      "MCF": [ "MCF", "MCF", 130],
      // MDC
      "MDC": [ "MDC", "MDC", 130],
      // leu moldau
      "MDL": [ "MDL", "MDL", 2],
      // ariary malgaix
      "MGA": [ "MGA", "MGA", 0],
      // franc malgaix
      "MGF": [ "MGF", "MGF", 128],
      // denar macedoni
      "MKD": [ "MKD", "MKD", 2],
      // MKN
      "MKN": [ "MKN", "MKN", 130],
      // franc malià
      "MLF": [ "MLF", "MLF", 130],
      // kyat de Myanmar
      "MMK": [ "MMK", "MMK", 0],
      // tögrög mongol
      "MNT": [ "MNT", "₮", 0, "MN₮"],
      // pataca de Macau
      "MOP": [ "MOP", "MOP$", 2],
      // ouguiya maurità
      "MRO": [ "MRO", "UM", 0],
      // lira maltesa
      "MTL": [ "MTL", "Lm", 130],
      // lliura maltesa
      "MTP": [ "MTP", "MT£", 130],
      // rupia de Maurici
      "MUR": [ "MUR", "MURs", 0],
      // rupia de les Maldives
      "MVR": [ "MVR", "MVR", 2],
      // kwacha malawià
      "MWK": [ "MWK", "MWK", 2],
      // peso mexicà
      "MXN": [ "MXN", "MX$", 2, "Mex$"],
      // peso de plata mexicà (1861-1992)
      "MXP": [ "MXP", "MXP", 130],
      // unidad de inversión (UDI) mexicana
      "MXV": [ "MXV", "MXV", 130],
      // ringgit de Malàisia
      "MYR": [ "MYR", "RM", 2, "RM"],
      // escut moçambiquès
      "MZE": [ "MZE", "MZE", 130],
      // antic metical moçambiquès
      "MZM": [ "MZM", "Mt", 130],
      // metical moçambiquès
      "MZN": [ "MZN", "MTn", 2],
      // dòlar namibià
      "NAD": [ "NAD", "N$", 2],
      // naira nigerià
      "NGN": [ "NGN", "₦", 2],
      // córdoba nicaragüenca
      "NIC": [ "NIC", "NIC", 130],
      // córdoba oro nicaragüenca
      "NIO": [ "NIO", "C$", 2],
      // florí neerlandès
      "NLG": [ "NLG", "fl", 130],
      // corona noruega
      "NOK": [ "NOK", "Nkr", 2, "NOkr"],
      // rupia nepalesa
      "NPR": [ "NPR", "NPRs", 2],
      // dòlar neozelandès
      "NZD": [ "NZD", "NZ$", 2],
      // rial omanita
      "OMR": [ "OMR", "OMR", 3],
      // balboa panameny
      "PAB": [ "PAB", "B/.", 2, "B/."],
      // inti peruà
      "PEI": [ "PEI", "I/.", 130],
      // nou sol peruà
      "PEN": [ "PEN", "S/.", 2, "S/."],
      // sol peruà
      "PES": [ "PES", "PES", 130],
      // kina de Papua Nova Guinea
      "PGK": [ "PGK", "PGK", 2],
      // peso filipí
      "PHP": [ "PHP", "Php", 2, "PHP"],
      // rupia pakistanesa
      "PKR": [ "PKR", "PKRs", 0, "PKRs."],
      // zloty polonès
      "PLN": [ "PLN", "zł", 2],
      // zloty polonès (1950-1995)
      "PLZ": [ "PLZ", "PLZ", 130],
      // escut portuguès
      "PTE": [ "PTE", "Esc", 130],
      // guaraní paraguaià
      "PYG": [ "PYG", "₲", 0],
      // riyal de Qatar
      "QAR": [ "QAR", "QR", 2],
      // dòlar rhodesià
      "RHD": [ "RHD", "RH$", 130],
      // antic leu romanès
      "ROL": [ "ROL", "ROL", 130],
      // leu romanès
      "RON": [ "RON", "RON", 2],
      // dinar serbi
      "RSD": [ "RSD", "din.", 0],
      // ruble rus
      "RUB": [ "RUB", "руб", 2, "руб"],
      // ruble rus (1991-1998)
      "RUR": [ "RUR", "RUR", 130],
      // franc rwandès
      "RWF": [ "RWF", "RWF", 0],
      // riyal saudita
      "SAR": [ "SAR", "SR", 2, "SR"],
      // dòlar de les illes Salomó
      "SBD": [ "SBD", "SI$", 2],
      // rupia de les Seychelles
      "SCR": [ "SCR", "SRe", 2],
      // dinar sudanès
      "SDD": [ "SDD", "LSd", 130],
      // lliura sudanesa
      "SDG": [ "SDG", "SDG", 2],
      // antiga lliura sudanesa
      "SDP": [ "SDP", "SDP", 130],
      // corona sueca
      "SEK": [ "SEK", "Skr", 2, "kr"],
      // dòlar de Singapur
      "SGD": [ "SGD", "S$", 2, "S$"],
      // lliura de Santa Helena
      "SHP": [ "SHP", "SH£", 2],
      // tolar eslovè
      "SIT": [ "SIT", "SIT", 130],
      // corona eslovaca
      "SKK": [ "SKK", "Sk", 130],
      // leone de Sierra Leone
      "SLL": [ "SLL", "Le", 0],
      // xíling somali
      "SOS": [ "SOS", "Ssh", 0],
      // dòlar de Surinam
      "SRD": [ "SRD", "SR$", 2],
      // florí de Surinam
      "SRG": [ "SRG", "Sf", 130],
      // dobra de São Tomé i Príncipe
      "STD": [ "STD", "Db", 0],
      // ruble soviètic
      "SUR": [ "SUR", "SUR", 130],
      // colón salvadorenc
      "SVC": [ "SVC", "SV₡", 130],
      // lliura síria
      "SYP": [ "SYP", "SY£", 0],
      // lilangeni swazi
      "SZL": [ "SZL", "SZL", 2],
      // baht tailandès
      "THB": [ "THB", "฿", 2, "THB"],
      // ruble tadjik
      "TJR": [ "TJR", "TJR", 130],
      // somoni tadjik
      "TJS": [ "TJS", "TJS", 2],
      // manat turcman
      "TMM": [ "TMM", "TMM", 128],
      // nou manat turcman
      "TMT": [ "TMT", "TMT", 2],
      // dinar tunisià
      "TND": [ "TND", "DT", 3],
      // pa‘anga tongà
      "TOP": [ "TOP", "T$", 2],
      // escut de Timor
      "TPE": [ "TPE", "TPE", 130],
      // antiga lira turca
      "TRL": [ "TRL", "TRL", 128],
      // lira turca
      "TRY": [ "TRY", "TL", 2, "YTL"],
      // dòlar de Trinitat i Tobago
      "TTD": [ "TTD", "TT$", 2],
      // nou dòlar de Taiwan
      "TWD": [ "TWD", "NT$", 2, "NT$"],
      // xíling tanzà
      "TZS": [ "TZS", "TSh", 0],
      // hrívnia ucraïnesa
      "UAH": [ "UAH", "UAH", 2],
      // karbóvanets ucraïnès
      "UAK": [ "UAK", "UAK", 130],
      // xíling ugandès (1966-1987)
      "UGS": [ "UGS", "UGS", 130],
      // xíling ugandès
      "UGX": [ "UGX", "USh", 0],
      // dòlar dels Estats Units
      "USD": [ "USD", "US$", 2, "US$"],
      // dòlar dels Estats Units (dia següent)
      "USN": [ "USN", "USN", 130],
      // dòlar dels Estats Units (mateix dia)
      "USS": [ "USS", "USS", 130],
      // peso uruguaià en unitats indexades
      "UYI": [ "UYI", "UYI", 130],
      // peso uruguaià (1975-1993)
      "UYP": [ "UYP", "UYP", 130],
      // peso uruguaià
      "UYU": [ "UYU", "$U", 2, "UY$"],
      // som uzbek
      "UZS": [ "UZS", "UZS", 0],
      // bolívar veneçolà
      "VEB": [ "VEB", "VEB", 130],
      // bolívar fort veneçolà
      "VEF": [ "VEF", "Bs.F.", 2],
      // dong vietnamita
      "VND": [ "VND", "₫", 24, "₫"],
      // VNN
      "VNN": [ "VNN", "VNN", 130],
      // vatu de Vanuatu
      "VUV": [ "VUV", "VT", 0],
      // tala samoà
      "WST": [ "WST", "WS$", 2],
      // franc CFA BEAC
      "XAF": [ "XAF", "FCFA", 0],
      // plata
      "XAG": [ "XAG", "XAG", 130],
      // or
      "XAU": [ "XAU", "XAU", 130],
      // unitat compensatòria europea
      "XBA": [ "XBA", "XBA", 130],
      // unitat monetària europea
      "XBB": [ "XBB", "XBB", 130],
      // unitat de compte europea (XBC)
      "XBC": [ "XBC", "XBC", 130],
      // unitat de compte europea (XBD)
      "XBD": [ "XBD", "XBD", 130],
      // dòlar del Carib Oriental
      "XCD": [ "XCD", "EC$", 2],
      // drets especials de gir
      "XDR": [ "XDR", "XDR", 130],
      // unitat de moneda europea
      "XEU": [ "XEU", "XEU", 130],
      // franc or francès
      "XFO": [ "XFO", "XFO", 130],
      // franc UIC francès
      "XFU": [ "XFU", "XFU", 130],
      // franc CFA BCEAO
      "XOF": [ "XOF", "CFA", 0],
      // pal·ladi
      "XPD": [ "XPD", "XPD", 130],
      // franc CFP
      "XPF": [ "XPF", "CFPF", 0],
      // platí
      "XPT": [ "XPT", "XPT", 130],
      // fons RINET
      "XRE": [ "XRE", "XRE", 130],
      // codi reservat per a proves
      "XTS": [ "XTS", "XTS", 130],
      // moneda desconeguda/no vàlida
      "XXX": [ "XXX", "XXX", 130],
      // dinar iemenita
      "YDD": [ "YDD", "YDD", 130],
      // rial iemenita
      "YER": [ "YER", "YR", 0, "YER"],
      // dinar fort iugoslau
      "YUD": [ "YUD", "YUD", 130],
      // nou dinar iugoslau
      "YUM": [ "YUM", "YUM", 130],
      // dinar convertible iugoslau
      "YUN": [ "YUN", "YUN", 130],
      // YUR
      "YUR": [ "YUR", "YUR", 130],
      // rand sud-africà (financer)
      "ZAL": [ "ZAL", "ZAL", 130],
      // rand sud-africà
      "ZAR": [ "ZAR", "R", 2, "ZAR"],
      // kwacha zambià
      "ZMK": [ "ZMK", "ZK", 0],
      // nou zaire zairès
      "ZRN": [ "ZRN", "NZ", 130],
      // zaire zairès
      "ZRZ": [ "ZRZ", "ZRZ", 130],
      // dòlar zimbabuès
      "ZWD": [ "ZWD", "Z$", 128],
      // dòlar zimbabuès (2009)
      "ZWL": [ "ZWL", "ZWL", 130],
      // ZWR
      "ZWR": [ "ZWR", "ZWR", 130],
    };
  }-*/;
  
  @Override
  protected HashMap<String, String> loadNamesMapJava() {
    HashMap<String, String> result = super.loadNamesMapJava();
    result.put("ADP", "pesseta andorrana");
    result.put("AED", "dirhem dels Emirats Àrabs Units");
    result.put("AFA", "afgani afganès (1927-2002)");
    result.put("AFN", "afgani afganès");
    result.put("ALL", "lek albanès");
    result.put("AMD", "dram armeni");
    result.put("ANG", "florí de les Antilles Neerlandeses");
    result.put("AOA", "kwanza angolès");
    result.put("AOK", "kwanza angolès (1977-1990)");
    result.put("AON", "nou kwanza angolès (1990-2000)");
    result.put("AOR", "kwanza angolès reajustat (1995-1999)");
    result.put("ARA", "austral argentí");
    result.put("ARP", "peso argentí (1983-1985)");
    result.put("ARS", "peso argentí");
    result.put("ATS", "xíling austríac");
    result.put("AUD", "dòlar australià");
    result.put("AWG", "florí d'Aruba");
    result.put("AZM", "manat azerbaidjanès (1993-2006)");
    result.put("AZN", "manat azerbaidjanès");
    result.put("BAD", "dinar de Bòsnia i Hercegovina");
    result.put("BAM", "marc convertible de Bòsnia i Hercegovina");
    result.put("BBD", "dòlar de Barbados");
    result.put("BDT", "taka de Bangla Desh");
    result.put("BEC", "franc belga (convertible)");
    result.put("BEF", "franc belga");
    result.put("BEL", "franc belga (financer)");
    result.put("BGL", "lev fort búlgar");
    result.put("BGN", "lev búlgar");
    result.put("BHD", "dinar de Bahrain");
    result.put("BIF", "franc de Burundi");
    result.put("BMD", "dòlar de les Bermudes");
    result.put("BND", "dòlar de Brunei");
    result.put("BOB", "boliviano");
    result.put("BOP", "peso bolivià");
    result.put("BOV", "MVDOL bolivià");
    result.put("BRB", "cruzeiro novo brasiler (1967-1986)");
    result.put("BRC", "cruzado brasiler");
    result.put("BRE", "cruzeiro brasiler (1990-1993)");
    result.put("BRL", "real brasiler");
    result.put("BRN", "cruzado novo brasiler");
    result.put("BRR", "cruzeiro brasiler");
    result.put("BSD", "dòlar de les Bahames");
    result.put("BTN", "ngultrum de Bhutan");
    result.put("BUK", "kyat birmà");
    result.put("BWP", "pula de Botswana");
    result.put("BYB", "nou ruble bielorús (1994-1999)");
    result.put("BYR", "ruble bielorús");
    result.put("BZD", "dòlar de Belize");
    result.put("CAD", "dòlar canadenc");
    result.put("CDF", "franc congolès");
    result.put("CHE", "euro WIR");
    result.put("CHF", "franc suís");
    result.put("CHW", "franc WIR");
    result.put("CLF", "unidad de fomento xilena");
    result.put("CLP", "peso xilè");
    result.put("CNY", "iuan renmimbi xinès");
    result.put("COP", "peso colombià");
    result.put("COU", "unidad de valor real colombiana");
    result.put("CRC", "colón costa-riqueny");
    result.put("CSD", "dinar serbi antic");
    result.put("CSK", "corona forta txecoslovaca");
    result.put("CUC", "peso convertible cubà");
    result.put("CUP", "peso cubà");
    result.put("CVE", "escut de Cap Verd");
    result.put("CYP", "lliura xipriota");
    result.put("CZK", "corona txeca");
    result.put("DDM", "marc de l'Alemanya Oriental");
    result.put("DEM", "marc alemany");
    result.put("DJF", "franc de Djibouti");
    result.put("DKK", "corona danesa");
    result.put("DOP", "peso dominicà");
    result.put("DZD", "dinar algerià");
    result.put("ECS", "sucre equatorià");
    result.put("ECV", "unidad de valor constante (UVC) equatoriana");
    result.put("EEK", "corona estoniana");
    result.put("EGP", "lliura egípcia");
    result.put("ERN", "nakfa eritreu");
    result.put("ESA", "pesseta espanyola (compte A)");
    result.put("ESB", "pesseta espanyola (compte convertible)");
    result.put("ESP", "pesseta espanyola");
    result.put("ETB", "birr etíop");
    result.put("EUR", "euro");
    result.put("FIM", "marc finlandès");
    result.put("FJD", "dòlar fijià");
    result.put("FKP", "lliura de les illes Malvines");
    result.put("FRF", "franc francès");
    result.put("GBP", "lliura esterlina britànica");
    result.put("GEK", "cupó de lari georgià");
    result.put("GEL", "lari georgià");
    result.put("GHC", "cedi ghanès (1979-2007)");
    result.put("GHS", "cedi ghanès");
    result.put("GIP", "lliura de Gibraltar");
    result.put("GMD", "dalasi gambià");
    result.put("GNF", "franc guineà");
    result.put("GNS", "syli guineà");
    result.put("GQE", "ekwele de Guinea Equatorial");
    result.put("GRD", "dracma grega");
    result.put("GTQ", "quetzal guatemalenc");
    result.put("GWE", "escut de la Guinea Portuguesa");
    result.put("GWP", "peso de Guinea Bissau");
    result.put("GYD", "dòlar de Guyana");
    result.put("HKD", "dòlar de Hong Kong");
    result.put("HNL", "lempira hondurenya");
    result.put("HRD", "dinar croat");
    result.put("HRK", "kuna croata");
    result.put("HTG", "gourde haitià");
    result.put("HUF", "fòrint hongarès");
    result.put("IDR", "rupia indonèsia");
    result.put("IEP", "lliura irlandesa");
    result.put("ILP", "lliura israeliana");
    result.put("ILR", "xéquel israelià");
    result.put("ILS", "nou xéquel israelià");
    result.put("INR", "rupia índia");
    result.put("IQD", "dinar iraquià");
    result.put("IRR", "rial iranià");
    result.put("ISJ", "corona islandesa antiga");
    result.put("ISK", "corona islandesa");
    result.put("ITL", "lira italiana");
    result.put("JMD", "dòlar jamaicà");
    result.put("JOD", "dinar jordà");
    result.put("JPY", "ien japonès");
    result.put("KES", "xíling kenyà");
    result.put("KGS", "som kirguís");
    result.put("KHR", "riel cambodjà");
    result.put("KMF", "franc de les Comores");
    result.put("KPW", "won nord-coreà");
    result.put("KRW", "won sud-coreà");
    result.put("KWD", "dinar kuwaitià");
    result.put("KYD", "dòlar de les illes Caiman");
    result.put("KZT", "tenge kazakh");
    result.put("LAK", "kip laosià");
    result.put("LBP", "lliura libanesa");
    result.put("LKR", "rupia de Sri Lanka");
    result.put("LRD", "dòlar liberià");
    result.put("LSL", "loti de Lesotho");
    result.put("LTL", "litas lituà");
    result.put("LTT", "talonas lituà");
    result.put("LUC", "franc convertible luxemburguès");
    result.put("LUF", "franc luxemburguès");
    result.put("LUL", "franc financer luxemburguès");
    result.put("LVL", "lats letó");
    result.put("LVR", "ruble letó");
    result.put("LYD", "dinar libi");
    result.put("MAD", "dírham marroquí");
    result.put("MAF", "franc marroquí");
    result.put("MDL", "leu moldau");
    result.put("MGA", "ariary malgaix");
    result.put("MGF", "franc malgaix");
    result.put("MKD", "denar macedoni");
    result.put("MLF", "franc malià");
    result.put("MMK", "kyat de Myanmar");
    result.put("MNT", "tögrög mongol");
    result.put("MOP", "pataca de Macau");
    result.put("MRO", "ouguiya maurità");
    result.put("MTL", "lira maltesa");
    result.put("MTP", "lliura maltesa");
    result.put("MUR", "rupia de Maurici");
    result.put("MVR", "rupia de les Maldives");
    result.put("MWK", "kwacha malawià");
    result.put("MXN", "peso mexicà");
    result.put("MXP", "peso de plata mexicà (1861-1992)");
    result.put("MXV", "unidad de inversión (UDI) mexicana");
    result.put("MYR", "ringgit de Malàisia");
    result.put("MZE", "escut moçambiquès");
    result.put("MZM", "antic metical moçambiquès");
    result.put("MZN", "metical moçambiquès");
    result.put("NAD", "dòlar namibià");
    result.put("NGN", "naira nigerià");
    result.put("NIC", "córdoba nicaragüenca");
    result.put("NIO", "córdoba oro nicaragüenca");
    result.put("NLG", "florí neerlandès");
    result.put("NOK", "corona noruega");
    result.put("NPR", "rupia nepalesa");
    result.put("NZD", "dòlar neozelandès");
    result.put("OMR", "rial omanita");
    result.put("PAB", "balboa panameny");
    result.put("PEI", "inti peruà");
    result.put("PEN", "nou sol peruà");
    result.put("PES", "sol peruà");
    result.put("PGK", "kina de Papua Nova Guinea");
    result.put("PHP", "peso filipí");
    result.put("PKR", "rupia pakistanesa");
    result.put("PLN", "zloty polonès");
    result.put("PLZ", "zloty polonès (1950-1995)");
    result.put("PTE", "escut portuguès");
    result.put("PYG", "guaraní paraguaià");
    result.put("QAR", "riyal de Qatar");
    result.put("RHD", "dòlar rhodesià");
    result.put("ROL", "antic leu romanès");
    result.put("RON", "leu romanès");
    result.put("RSD", "dinar serbi");
    result.put("RUB", "ruble rus");
    result.put("RUR", "ruble rus (1991-1998)");
    result.put("RWF", "franc rwandès");
    result.put("SAR", "riyal saudita");
    result.put("SBD", "dòlar de les illes Salomó");
    result.put("SCR", "rupia de les Seychelles");
    result.put("SDD", "dinar sudanès");
    result.put("SDG", "lliura sudanesa");
    result.put("SDP", "antiga lliura sudanesa");
    result.put("SEK", "corona sueca");
    result.put("SGD", "dòlar de Singapur");
    result.put("SHP", "lliura de Santa Helena");
    result.put("SIT", "tolar eslovè");
    result.put("SKK", "corona eslovaca");
    result.put("SLL", "leone de Sierra Leone");
    result.put("SOS", "xíling somali");
    result.put("SRD", "dòlar de Surinam");
    result.put("SRG", "florí de Surinam");
    result.put("STD", "dobra de São Tomé i Príncipe");
    result.put("SUR", "ruble soviètic");
    result.put("SVC", "colón salvadorenc");
    result.put("SYP", "lliura síria");
    result.put("SZL", "lilangeni swazi");
    result.put("THB", "baht tailandès");
    result.put("TJR", "ruble tadjik");
    result.put("TJS", "somoni tadjik");
    result.put("TMM", "manat turcman");
    result.put("TMT", "nou manat turcman");
    result.put("TND", "dinar tunisià");
    result.put("TOP", "pa‘anga tongà");
    result.put("TPE", "escut de Timor");
    result.put("TRL", "antiga lira turca");
    result.put("TRY", "lira turca");
    result.put("TTD", "dòlar de Trinitat i Tobago");
    result.put("TWD", "nou dòlar de Taiwan");
    result.put("TZS", "xíling tanzà");
    result.put("UAH", "hrívnia ucraïnesa");
    result.put("UAK", "karbóvanets ucraïnès");
    result.put("UGS", "xíling ugandès (1966-1987)");
    result.put("UGX", "xíling ugandès");
    result.put("USD", "dòlar dels Estats Units");
    result.put("USN", "dòlar dels Estats Units (dia següent)");
    result.put("USS", "dòlar dels Estats Units (mateix dia)");
    result.put("UYI", "peso uruguaià en unitats indexades");
    result.put("UYP", "peso uruguaià (1975-1993)");
    result.put("UYU", "peso uruguaià");
    result.put("UZS", "som uzbek");
    result.put("VEB", "bolívar veneçolà");
    result.put("VEF", "bolívar fort veneçolà");
    result.put("VND", "dong vietnamita");
    result.put("VUV", "vatu de Vanuatu");
    result.put("WST", "tala samoà");
    result.put("XAF", "franc CFA BEAC");
    result.put("XAG", "plata");
    result.put("XAU", "or");
    result.put("XBA", "unitat compensatòria europea");
    result.put("XBB", "unitat monetària europea");
    result.put("XBC", "unitat de compte europea (XBC)");
    result.put("XBD", "unitat de compte europea (XBD)");
    result.put("XCD", "dòlar del Carib Oriental");
    result.put("XDR", "drets especials de gir");
    result.put("XEU", "unitat de moneda europea");
    result.put("XFO", "franc or francès");
    result.put("XFU", "franc UIC francès");
    result.put("XOF", "franc CFA BCEAO");
    result.put("XPD", "pal·ladi");
    result.put("XPF", "franc CFP");
    result.put("XPT", "platí");
    result.put("XRE", "fons RINET");
    result.put("XTS", "codi reservat per a proves");
    result.put("XXX", "moneda desconeguda/no vàlida");
    result.put("YDD", "dinar iemenita");
    result.put("YER", "rial iemenita");
    result.put("YUD", "dinar fort iugoslau");
    result.put("YUM", "nou dinar iugoslau");
    result.put("YUN", "dinar convertible iugoslau");
    result.put("ZAL", "rand sud-africà (financer)");
    result.put("ZAR", "rand sud-africà");
    result.put("ZMK", "kwacha zambià");
    result.put("ZRN", "nou zaire zairès");
    result.put("ZRZ", "zaire zairès");
    result.put("ZWD", "dòlar zimbabuès");
    result.put("ZWL", "dòlar zimbabuès (2009)");
    return result;
  }
  
  @Override
  protected JavaScriptObject loadNamesMapNative() {
    return overrideMap(super.loadNamesMapNative(), loadMyNamesMapOverridesNative());
  }
  
  private native JavaScriptObject loadMyNamesMapOverridesNative() /*-{
    return {
      "ADP": "pesseta andorrana",
      "AED": "dirhem dels Emirats Àrabs Units",
      "AFA": "afgani afganès (1927-2002)",
      "AFN": "afgani afganès",
      "ALL": "lek albanès",
      "AMD": "dram armeni",
      "ANG": "florí de les Antilles Neerlandeses",
      "AOA": "kwanza angolès",
      "AOK": "kwanza angolès (1977-1990)",
      "AON": "nou kwanza angolès (1990-2000)",
      "AOR": "kwanza angolès reajustat (1995-1999)",
      "ARA": "austral argentí",
      "ARP": "peso argentí (1983-1985)",
      "ARS": "peso argentí",
      "ATS": "xíling austríac",
      "AUD": "dòlar australià",
      "AWG": "florí d'Aruba",
      "AZM": "manat azerbaidjanès (1993-2006)",
      "AZN": "manat azerbaidjanès",
      "BAD": "dinar de Bòsnia i Hercegovina",
      "BAM": "marc convertible de Bòsnia i Hercegovina",
      "BBD": "dòlar de Barbados",
      "BDT": "taka de Bangla Desh",
      "BEC": "franc belga (convertible)",
      "BEF": "franc belga",
      "BEL": "franc belga (financer)",
      "BGL": "lev fort búlgar",
      "BGN": "lev búlgar",
      "BHD": "dinar de Bahrain",
      "BIF": "franc de Burundi",
      "BMD": "dòlar de les Bermudes",
      "BND": "dòlar de Brunei",
      "BOB": "boliviano",
      "BOP": "peso bolivià",
      "BOV": "MVDOL bolivià",
      "BRB": "cruzeiro novo brasiler (1967-1986)",
      "BRC": "cruzado brasiler",
      "BRE": "cruzeiro brasiler (1990-1993)",
      "BRL": "real brasiler",
      "BRN": "cruzado novo brasiler",
      "BRR": "cruzeiro brasiler",
      "BSD": "dòlar de les Bahames",
      "BTN": "ngultrum de Bhutan",
      "BUK": "kyat birmà",
      "BWP": "pula de Botswana",
      "BYB": "nou ruble bielorús (1994-1999)",
      "BYR": "ruble bielorús",
      "BZD": "dòlar de Belize",
      "CAD": "dòlar canadenc",
      "CDF": "franc congolès",
      "CHE": "euro WIR",
      "CHF": "franc suís",
      "CHW": "franc WIR",
      "CLF": "unidad de fomento xilena",
      "CLP": "peso xilè",
      "CNY": "iuan renmimbi xinès",
      "COP": "peso colombià",
      "COU": "unidad de valor real colombiana",
      "CRC": "colón costa-riqueny",
      "CSD": "dinar serbi antic",
      "CSK": "corona forta txecoslovaca",
      "CUC": "peso convertible cubà",
      "CUP": "peso cubà",
      "CVE": "escut de Cap Verd",
      "CYP": "lliura xipriota",
      "CZK": "corona txeca",
      "DDM": "marc de l'Alemanya Oriental",
      "DEM": "marc alemany",
      "DJF": "franc de Djibouti",
      "DKK": "corona danesa",
      "DOP": "peso dominicà",
      "DZD": "dinar algerià",
      "ECS": "sucre equatorià",
      "ECV": "unidad de valor constante (UVC) equatoriana",
      "EEK": "corona estoniana",
      "EGP": "lliura egípcia",
      "ERN": "nakfa eritreu",
      "ESA": "pesseta espanyola (compte A)",
      "ESB": "pesseta espanyola (compte convertible)",
      "ESP": "pesseta espanyola",
      "ETB": "birr etíop",
      "EUR": "euro",
      "FIM": "marc finlandès",
      "FJD": "dòlar fijià",
      "FKP": "lliura de les illes Malvines",
      "FRF": "franc francès",
      "GBP": "lliura esterlina britànica",
      "GEK": "cupó de lari georgià",
      "GEL": "lari georgià",
      "GHC": "cedi ghanès (1979-2007)",
      "GHS": "cedi ghanès",
      "GIP": "lliura de Gibraltar",
      "GMD": "dalasi gambià",
      "GNF": "franc guineà",
      "GNS": "syli guineà",
      "GQE": "ekwele de Guinea Equatorial",
      "GRD": "dracma grega",
      "GTQ": "quetzal guatemalenc",
      "GWE": "escut de la Guinea Portuguesa",
      "GWP": "peso de Guinea Bissau",
      "GYD": "dòlar de Guyana",
      "HKD": "dòlar de Hong Kong",
      "HNL": "lempira hondurenya",
      "HRD": "dinar croat",
      "HRK": "kuna croata",
      "HTG": "gourde haitià",
      "HUF": "fòrint hongarès",
      "IDR": "rupia indonèsia",
      "IEP": "lliura irlandesa",
      "ILP": "lliura israeliana",
      "ILR": "xéquel israelià",
      "ILS": "nou xéquel israelià",
      "INR": "rupia índia",
      "IQD": "dinar iraquià",
      "IRR": "rial iranià",
      "ISJ": "corona islandesa antiga",
      "ISK": "corona islandesa",
      "ITL": "lira italiana",
      "JMD": "dòlar jamaicà",
      "JOD": "dinar jordà",
      "JPY": "ien japonès",
      "KES": "xíling kenyà",
      "KGS": "som kirguís",
      "KHR": "riel cambodjà",
      "KMF": "franc de les Comores",
      "KPW": "won nord-coreà",
      "KRW": "won sud-coreà",
      "KWD": "dinar kuwaitià",
      "KYD": "dòlar de les illes Caiman",
      "KZT": "tenge kazakh",
      "LAK": "kip laosià",
      "LBP": "lliura libanesa",
      "LKR": "rupia de Sri Lanka",
      "LRD": "dòlar liberià",
      "LSL": "loti de Lesotho",
      "LTL": "litas lituà",
      "LTT": "talonas lituà",
      "LUC": "franc convertible luxemburguès",
      "LUF": "franc luxemburguès",
      "LUL": "franc financer luxemburguès",
      "LVL": "lats letó",
      "LVR": "ruble letó",
      "LYD": "dinar libi",
      "MAD": "dírham marroquí",
      "MAF": "franc marroquí",
      "MDL": "leu moldau",
      "MGA": "ariary malgaix",
      "MGF": "franc malgaix",
      "MKD": "denar macedoni",
      "MLF": "franc malià",
      "MMK": "kyat de Myanmar",
      "MNT": "tögrög mongol",
      "MOP": "pataca de Macau",
      "MRO": "ouguiya maurità",
      "MTL": "lira maltesa",
      "MTP": "lliura maltesa",
      "MUR": "rupia de Maurici",
      "MVR": "rupia de les Maldives",
      "MWK": "kwacha malawià",
      "MXN": "peso mexicà",
      "MXP": "peso de plata mexicà (1861-1992)",
      "MXV": "unidad de inversión (UDI) mexicana",
      "MYR": "ringgit de Malàisia",
      "MZE": "escut moçambiquès",
      "MZM": "antic metical moçambiquès",
      "MZN": "metical moçambiquès",
      "NAD": "dòlar namibià",
      "NGN": "naira nigerià",
      "NIC": "córdoba nicaragüenca",
      "NIO": "córdoba oro nicaragüenca",
      "NLG": "florí neerlandès",
      "NOK": "corona noruega",
      "NPR": "rupia nepalesa",
      "NZD": "dòlar neozelandès",
      "OMR": "rial omanita",
      "PAB": "balboa panameny",
      "PEI": "inti peruà",
      "PEN": "nou sol peruà",
      "PES": "sol peruà",
      "PGK": "kina de Papua Nova Guinea",
      "PHP": "peso filipí",
      "PKR": "rupia pakistanesa",
      "PLN": "zloty polonès",
      "PLZ": "zloty polonès (1950-1995)",
      "PTE": "escut portuguès",
      "PYG": "guaraní paraguaià",
      "QAR": "riyal de Qatar",
      "RHD": "dòlar rhodesià",
      "ROL": "antic leu romanès",
      "RON": "leu romanès",
      "RSD": "dinar serbi",
      "RUB": "ruble rus",
      "RUR": "ruble rus (1991-1998)",
      "RWF": "franc rwandès",
      "SAR": "riyal saudita",
      "SBD": "dòlar de les illes Salomó",
      "SCR": "rupia de les Seychelles",
      "SDD": "dinar sudanès",
      "SDG": "lliura sudanesa",
      "SDP": "antiga lliura sudanesa",
      "SEK": "corona sueca",
      "SGD": "dòlar de Singapur",
      "SHP": "lliura de Santa Helena",
      "SIT": "tolar eslovè",
      "SKK": "corona eslovaca",
      "SLL": "leone de Sierra Leone",
      "SOS": "xíling somali",
      "SRD": "dòlar de Surinam",
      "SRG": "florí de Surinam",
      "STD": "dobra de São Tomé i Príncipe",
      "SUR": "ruble soviètic",
      "SVC": "colón salvadorenc",
      "SYP": "lliura síria",
      "SZL": "lilangeni swazi",
      "THB": "baht tailandès",
      "TJR": "ruble tadjik",
      "TJS": "somoni tadjik",
      "TMM": "manat turcman",
      "TMT": "nou manat turcman",
      "TND": "dinar tunisià",
      "TOP": "pa‘anga tongà",
      "TPE": "escut de Timor",
      "TRL": "antiga lira turca",
      "TRY": "lira turca",
      "TTD": "dòlar de Trinitat i Tobago",
      "TWD": "nou dòlar de Taiwan",
      "TZS": "xíling tanzà",
      "UAH": "hrívnia ucraïnesa",
      "UAK": "karbóvanets ucraïnès",
      "UGS": "xíling ugandès (1966-1987)",
      "UGX": "xíling ugandès",
      "USD": "dòlar dels Estats Units",
      "USN": "dòlar dels Estats Units (dia següent)",
      "USS": "dòlar dels Estats Units (mateix dia)",
      "UYI": "peso uruguaià en unitats indexades",
      "UYP": "peso uruguaià (1975-1993)",
      "UYU": "peso uruguaià",
      "UZS": "som uzbek",
      "VEB": "bolívar veneçolà",
      "VEF": "bolívar fort veneçolà",
      "VND": "dong vietnamita",
      "VUV": "vatu de Vanuatu",
      "WST": "tala samoà",
      "XAF": "franc CFA BEAC",
      "XAG": "plata",
      "XAU": "or",
      "XBA": "unitat compensatòria europea",
      "XBB": "unitat monetària europea",
      "XBC": "unitat de compte europea (XBC)",
      "XBD": "unitat de compte europea (XBD)",
      "XCD": "dòlar del Carib Oriental",
      "XDR": "drets especials de gir",
      "XEU": "unitat de moneda europea",
      "XFO": "franc or francès",
      "XFU": "franc UIC francès",
      "XOF": "franc CFA BCEAO",
      "XPD": "pal·ladi",
      "XPF": "franc CFP",
      "XPT": "platí",
      "XRE": "fons RINET",
      "XTS": "codi reservat per a proves",
      "XXX": "moneda desconeguda/no vàlida",
      "YDD": "dinar iemenita",
      "YER": "rial iemenita",
      "YUD": "dinar fort iugoslau",
      "YUM": "nou dinar iugoslau",
      "YUN": "dinar convertible iugoslau",
      "ZAL": "rand sud-africà (financer)",
      "ZAR": "rand sud-africà",
      "ZMK": "kwacha zambià",
      "ZRN": "nou zaire zairès",
      "ZRZ": "zaire zairès",
      "ZWD": "dòlar zimbabuès",
      "ZWL": "dòlar zimbabuès (2009)",
    };
  }-*/;
}
