package uoc.edu.client.service;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.rpc.ServiceDefTarget;

public interface SearchServiceAsync
{

    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.SearchService
     */
    void search( uoc.edu.shared.model.SearchConfig searchConfig, AsyncCallback<java.util.List<uoc.edu.shared.model.SearchResult>> callback );


    /**
     * Utility class to get the RPC Async interface from client-side code
     */
    public static final class Util 
    { 
        private static SearchServiceAsync instance;

        public static final SearchServiceAsync getInstance()
        {
            if ( instance == null )
            {
                instance = (SearchServiceAsync) GWT.create( SearchService.class );
                ServiceDefTarget target = (ServiceDefTarget) instance;
                target.setServiceEntryPoint( GWT.getModuleBaseURL() + "search" );
            }
            return instance;
        }

        private Util()
        {
            // Utility class should not be instanciated
        }
    }
}
