package uoc.edu.client.service;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.rpc.ServiceDefTarget;

public interface XcsServiceAsync
{

    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.XcsService
     */
    void getAll( AsyncCallback<java.util.List<uoc.edu.shared.model.XCS>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.XcsService
     */
    void getAll( com.extjs.gxt.ui.client.data.PagingLoadConfig config, AsyncCallback<com.extjs.gxt.ui.client.data.PagingLoadResult<uoc.edu.shared.model.XCS>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.XcsService
     */
    void delete( uoc.edu.shared.model.XCS xcs, AsyncCallback<Void> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.XcsService
     */
    void getAllProductorsSource( java.lang.Integer idXcs, AsyncCallback<java.util.List<uoc.edu.shared.model.Productor>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.XcsService
     */
    void getAllProductorsTarget( java.lang.Integer idXcs, AsyncCallback<java.util.List<uoc.edu.shared.model.Productor>> callback );


    /**
     * GWT-RPC service  asynchronous (client-side) interface
     * @see uoc.edu.client.service.XcsService
     */
    void saveProductors( java.util.List<uoc.edu.shared.model.Productor> notSelected, java.util.List<uoc.edu.shared.model.Productor> selected, java.lang.Integer idXcs, AsyncCallback<Void> callback );


    /**
     * Utility class to get the RPC Async interface from client-side code
     */
    public static final class Util 
    { 
        private static XcsServiceAsync instance;

        public static final XcsServiceAsync getInstance()
        {
            if ( instance == null )
            {
                instance = (XcsServiceAsync) GWT.create( XcsService.class );
                ServiceDefTarget target = (ServiceDefTarget) instance;
                target.setServiceEntryPoint( GWT.getModuleBaseURL() + "xcs" );
            }
            return instance;
        }

        private Util()
        {
            // Utility class should not be instanciated
        }
    }
}
